# Release Notes {#releasenotes}

## V1.17.0 December, 2023
- Making it fit for R 4.3.1 ... you know ... R is great ... from now on >= R4.3.1
- IQRloadCSVdata uses read.csv again instead of data.table.
- "time" in Jacobian => ODE model also in MONOLIX.
- plotETACOV_IQRnlmeProject() now also generates ETA vs. log(COV) plots
- createDataVPC_IQRnlmeProject() removed in favor of vpc_IQRnlmeProject()
- Smaller fixes

## V1.16.0 July, 2023
- NONMEM specific: PREDV possible to choose for evaluation and plotting in IQRnlmeProject(s).
  (algOpt.NONMEM.PRED = "PREDV"). This is especially useful in case of BLQ handling
  via M3 or M4 methods, where it is now enforced to be used (default setting if undefined, error
  message if defined not "PREDV"). In a similar manner also WRESV and RESV are determined and handled.
- NONMEM specific: Reverted to THETArized error parameters instead of using SIGMAs in NONMEM
- NONMEM specific: THETArized eror parameters set MUM to "N"
- NONMEM specific: Added ETSTYPE=1 to $ESTIMATION for NONMEM to ensure ETA shrinkage is calculated
  by NONMEM only for subjects that have reasonable information. Note that shrinkage
  calculated by NONMEM is not used and displayed by IQR Tools!
- NONMEM specific: Updated NONMEM options to default: TOL=9, SIGL=9, NSIG=SIGDIGITS=3
  Define SIGL in $EST for all methods (incl EM, even if not used)
- MONOLIX specific: Improvement of MLXTRAN export to allow MONOLIX analytic solution - in more cases than before.
 
## V1.15.0 June, 2023
- Improved ER functions
- More informative error messages on some functions
- MONOLIX results post processed even in cases where MONOLIX does not calculate an objective function (should be very rare ...)
- Smaller bug fixes

## V1.14.0 April, 2023
- Corrected sampling from uncertainty for covariates
- Improved BLQ handling in VPCs
- Improved handling of joint models when importing results
- setup_options_IQRtools now has option .ENFORCE_STRICT_COLNAME_GDF_RULES to switch between error and warning for incorrectly formated column names in GDF and NLME datasets.
- Improved numerics for M3/M4 handling NPDE NONMEM

## V1.12.0 November, 2022

- In log10 breaks function "mybreaks", handle empty limits
- Bugfix in eight character limit warning for GD

## V1.11.0 October, 2022
- Added correlation information to output of functions plotCorCovCat_IQRdataGENERAL() and plotCorCat_IQRdataGENERAL()
- Improved numerics for NONMEM projects
- Improved diagnostics for NONMEM M3 and M4 models
- Fixed manual setting of bin breaks for VPC plots and pcVPC when log-transforming the output
- Extent interfaace to popED to handle LLOQ for design assessment
- Small bug fixes

## V1.10.0 May, 2022
- First version for R4 (tested on 4.1.2)
- Improvement of AE analysis functions 
    - allowing to consider also non-drug related AEs
	- Additional analysis functions (contingency_IQRaedataER, plotcontcovAE_IQRaedataER)
- Updated IQRnlmeProject covariate assessment functionality
	- Updated: covariateEffect_IQRnlmeProject received new argument CImethod to choose between methods for the confidence interval calculation. That involves a method correcting for the multiple-testing problem.
	- New: simultaneousCI_IQRnlmeProject returns confidence intervals of covariate effects corrected for the multiple testing problem
- Added algOpt.NONMEM.IMP_ISAMPLE argument to IQRnlmeProject
- IQRnlmeProject: sets $SIZES PC= to acceptable values. This is now needed for NONMEM 7.5.
- Fixed "M4" method handling for MONOLIX when LIMIT column not available 
- Remove "Baseline" from naming covariates in GDF export define and XPT
- Automatic setting MUM option in NONMEM control file to better handle estimation of parameters without random effects in SAEM. 
- Update summary obs tables with N patients overall and N patients with at least one MDV=0 sample
- Small bug fixes

## V1.9.0 February 01, 2022
- Remove STAT.SIGNIF.05 from covariate protocol summary.IQRnlmeProjectMulti()
- Updated diagnostic plots with more informative captions
- Updates needed to use MRAN snapshot 2021-12-13
- Improvements to VPC functions
- Added optional argument to IQRloadCSVdata to allow reading in columns as characters
- Added function to compute terminal elmination halflife (halflife_IQRnlmeProject)

## V1.8.0 October 16, 2021
- Improved AE analysis functions
    - Added summary_IQRaedataER()
- First version of scm_IQRnlmeProject()
- Added read_IQRoutputTable() function to parse IQRoutputTable text files as IQRoutputTable objects
- Added "M4" option for MONOLIX when generating IQRnlmeProjects
- Smaller bug fixes

## V1.7.2 September 15, 2021
- AE analysis
    - Added plotIndivAE_IQRdataGENERAL()
    - Added summary_IQRaedataER()
- vpc_IQRdataVPC: for binning by default BIN.groupsize = round(Nsubj/2) is used
- MONOLIX 2020R1: adaptation to changes in output from Lixoft
- IQRoutputFigure: adding FLAGdraft to allow some watermark for draft results
- Smaller bug fixes

## V1.7.1 May 4, 2021
- Added a flag  ".ALLOW_SPACES_IN_PATH" into setup_options_IQRtools.R. By default it is FALSE. If you set it to TRUE then no error is thrown if spaces appear in paths. Use with care, as NONMEM will not work with it.
  
## V1.7.0 April 10, 2021
- Added sample_IQRgpf function as main interface to the GPF sampling API
- Added function getNamesCovariates to extract covariate names from a GPF or an IQRnlmeParamSpec object
- Improved submission package generator
- AESEVER column removed from IQRdataGENERAL
- AE ER data handling
	- createAE_dataER, load_IQRaedataER, export_IQRaedataER, is_IQRaedataER, print.IQRaedataER, summary.IQRaedataER
- Small bug fixes
- Added a `NEWS.md` file to track changes to the package and for a more convenient book generation
- Complete revision of function createSubmissionPack to produce FDA compliant submission package 
- `parameters` argument in sim_IQRmodel can now contain ID and USUBJID entries which will be ignored for simulation#
- Added a sample_GPF function to allow similar sampling from GPF as from NLME projects with sample_IQRnlmeProject
- Harmonized output structure of sample_IQRnlmeProject with sample_GPF function 
- Renamed list elements in output of sample_IQRnlmeProject function to be shorter

## V1.6.0 February 18, 2021
- Added geom_uperrorbar
- Legend in rmdFIGURE now works better with line breaks
- Improved robustness of post-processing also when NONMEM crashes
- "keepNext" in DOCX dataset define file generation
- MONOLIX 2020R1
    - MONOLIX bug with linear model compilation has been worked around. Hoping for a fix in next MONOLIX version.
    - Handling of multiple MONOLIX installations >=2019R1
- NCA functions removed. NCA moved out of IQR Tools and into <a href="https://iqnca.intiquan.com" target="_blank">IQnca</a>
- Use haven instead of SASxport for XPT output and loading. About >100 times faster
- Setting CONSTRAIN=7 for EM methods in NONMEM as default
- Improved some NONMEM and MONOLIX handling in case of if then else (piecewise) statements
- Added SBML export (L2V4) - working on IQdesktop only
- And finally: moving to Open Source (GNU AGPL-3)

## V1.5.0 October 23, 2020
* New module General Parameter Format (GPF), including functions for export/import of MONOLIX/NONMEM/SYSFIT project estimates into/from a GPF excel file. For more information, refer to https://iqrtools.intiquan.com/doc/book/GPF.html.
* New module NLME parameter sampling API providing sampling functions using a GPF file as input. For more information, refer to https://iqrtools.intiquan.com/doc/book/paramsampling.html.
* Introduction of time-varying stratification to VPC functionality (FLAGuseObsTimes replaced by simtimeOption)
* NEW: user-defined simulation time vector for VPC simulations
* NEW: user-defined observation time binning for VPC either using dataset column (BIN.column) or vector of bin borders (BIN.breaks)
* Fixed non-appropriate binning when using simulation times with time after dose for VPC 
* themeIQRtools() available to all
* New log-scale functionality with scale_y_log10_IQRtools()
* Support for stratified shrinkage in parameter estimation table
* Optional removal of small ETA values in random effects plots and ramdom effects vs covariates plots
* Better support for stratification and selection/exclusion of parameters in random effects plots and random effects vs covariates plots
* IQRoutputTable() accepts vector argument as footer (automatic line break between elements)
* IQRoutputFigure() with improved functionality
* Fixed TIME/TIME2/OFFSET bug in NONMEM that was impacting analytic (non-ODE) models with TIME as a variable
* Definition of .LIBPATHS_FIRSTONLY option in the setup_options_IQRtools.R file allowing to search only the first entry returned from .libpaths() when looking for includes
* Small bug fixes

## V1.4.0 August 21, 2020
* IOV handling in IQRnlmeProjects (for NONMEM only)
* vpc_IQRnlmeProject() function now does the same as the createDataVPC_IQRnlmeProject() function (alias)
  over time the createDataVPC_IQRnlmeProject() function likely will disappear.
* Removed function createVPC_IQRnlmeProject() - Reason the split approach with simulation and subsequently plotting is just more powerful.
* Considerably improved error check for covariate definitions giving much better feedback to the user.
* Added reference covariate value into the summary table for IQRnlmeProjects (continuous covariates only)
* Fixed TTE VPC (adjusting for constant changes in MONOLIX output files over the different versions ...)
* Removed SAEM warning if SysFit is used
* Added "PRINT=E" in $COVARIANCE for NONMEM as it provides additional output that might come in handy
* Allowed MATRIX=S, R, RSR (NONMEM default when unspecified) for $COV step. IQR Tools by default uses "S"
* Improved check of parameter names in modelSpec arguments

## V1.3.2 July 5, 2020
* Improved NCA functions (mean+-sd lin and log10), better subsetting for summary function
* Fixed IIV check in IQRnlmeEst. Allow IIVestimate=2 when covariance definition
* NONMEM convergence tracjectories: sqrt(errors) fixed for display
* tempdirIQR() and tempfileIQR() functions available
* Allow data.frame as data$datafile for NLME projects, instead of path 
* IQRdataGENERAL more verbose (messages if adding columns and sorting)
* SysFit now supports time varying regressors!
* Small bug fixes

## V1.3.1 May 20, 2020
* Small bug fix in Sysfit
* Improved handling of numerics when generating convergence trajectory plots for NONMEM
* Added function for convenient mapping of categorical levels to their meaning

## V1.3.0 May 01, 2020
* IQRdataGENERAL: improved handling of general dataset format. Not necessary columns will not be created 
  if not already present in the dataset. This lead to considerably leaner datasets. The approach is 
  backward compatible with the old version. More information on new format available
  [here](#GenDatFormat).
* Added function exportDEFINEpdf_IQRdataGENERAL().
* Small bug fixes

## V1.2.1 March 08, 2020
* NONMEM: Use SIGMA instead of THETA for error parameters => far more stable SAEM results on multiple cores
* NONMEM: Add FOCEIOFV as option to IQRnlmeProject, allowing to use a MAXEVAL=0 FOCEI step for OFV 
  determination. IMP MAPITER=0 is just not reproducible when running on ncores>1

## V1.2.0 March 02, 2020
- New function pred_IQRnlmeProject() for generation of predictions based on an IQRnlmeProject
- Limiting default number of cores for functions to smaller than max number (1)
- Allowing multiple activation key license files
- Option to set path for license file (default in home directory)
- Bug fixes

## V1.1.1 January 31, 2020 (Brexit Day)
- Do not count CENS=1 records in non-zero pre first dose 
  numbers in summaryObservations table.
- Change aux_na_locf() to be able to handle DOSE and 
  time varying covariate creations for GDF correctly 
  with updating earlier records with same time.
- Stability improvements new VPC functionality.
- aux_version() can check IQdesktop version
- install_workshop() to conveniently install workshop material

## V1.1.0 December 23, 2019
- Fixed issues with NCA that appeared in 1.0.9
- Added many functions related to QSP modeling
  (export of virtual subjects and populations, simulation, etc.)
- Improved QSP modeling
- Same output table format in QSP as in NLME
- Improved simulation speed with eventTable
- Improved test functions
- Bug fixes

## V1.0.9 October 13, 2019
- Improved NCA and made unit handling more robust
- Added exportVariant_IQRmodel and importVariant_IQRmodel for QSP modeling
- Improved QSP modeling with flexible output assignments to support modeling
  in a multi observation setting
- Improved robustness of pcVPC functions
- Small additional fixes

## V1.0.8 September 13, 2019
- Added handling of initial assignments to allow compatibility with SimBiology models 
- Added functions to handle parameterization updates in IQRmodels to allow compatibility with typical SimBiology models
- Improved robustness of QSP functionality  with more informative warnings and error messages
- Removed dosing argument from sim_IQRsysModel() for usability reasons
- Allowed QSP data to include ADDL and II columns as well
- Improved annotation of output from sim_IQRsysModel()
- QSP parameter estimation now outputs trace information while doing the optimization into CSV files
- Added functions to postprocess the QSP estimation trace information (including plotting)
- IQRmodel: changed default setting from FLAGsym = TRUE to FALSE
- Deprecated IQRoutputPDFstart and IQRoutputPDFend. The functionality is now replaced by 
  IQRoutputPDF which can now take lists of plots and has added features such as arranging into a grid,
  multi-page output, scaling width, height, overall
- "RDS mode" If set to TRUE then plot and table objects are stored in addition as RDS files when using IQRoutput* functions
- Added IQRsim Shiny App for easy exploration of models

## V1.0.7 September 2, 2019
- Improved QSP modeling - allowing also derivative free algorithms for special applications
- Prediction corrected VPC functionality
- Allow selection of RES, WRES, PRED values in NONMEM runs
- Added cov and cat table functions for exposure response
- Added XPT and define file generation for general data.frames
- Added getModel_IQRnlmeProject(), and getEst_IQRnlmeProject()
- sample_IQRnlmeProject() now handles different from Nsamples row numbers in covariates
- Further improvements

## V1.0.6 May 28, 2019
- Improved QSP modeling
- Further improvements

## V1.0.5 May 20, 2019
- Improved QSP modeling
- QSP functionality documentation in IQR Tools Book included
- Bug fix in addIndivRegressors_IQRdataGENERAL()
- Further improvements

## V1.0.4 April 19, 2019
- Compatibility R 3.5.2 and R 3.5.3
- Fix in statXY function
- Better support of MacOS Monolix path setup
- Added compatibility with new Monolix 2019R1

## V1.0.3 April 3, 2019
- Handle not present outputs in data when doing VPC
- Back-transform exp data when doing VPC
- Added getHeader_IQRnlmeProject()
- Allowed definition of SIGL for NONMEM gradient runs
- Stratified GOF plots for ETAs and ETA vs COV plots
- Add residual diagnostic plots to logistic regression
- New function to add covariate relationships to model specification
- QSP SysFit:
	  - Compatibility with Microsoft Open R
	  - Profiles for fixed parameters
	  - Allow additional integrator options in IQRsysProject
	  - Allow "." in condition names

## V1.0.2 March 18, 2019
- Improved NCA functionality now also handling SS data
- Improved survival analysis functionality
	  - Allow removal of confidence interval
	  - Allow different xticks (equidistant to last data point or max(xlim))
	  - Add cox regression information for selected strata
	  - Display cox regression as table and return
	  - Add Schoenfeldt cox.zph() test results to cox-table! - somehow - do not do plots at this time?!
	  - Show quantile values
- Improved QSP modeling
- Small additional fixes

## V1.0.1 February 23, 2019
- Improved QSP modeling functionality
- vpc_IQRnlmeProject parallelized also for Windows
- Fixed CENS information in converted project_pred.csv file when using MONOLIX
- Small fixes

## V1.0.0 February 8, 2019
- QSP modeling backend has been exchanged
	  - Allowing random effects
	  - Handling BLOQ data
	  - Improved convergence and profile likelihood computation
	  - Faster on Windows (parallelized pLL computation)
	  - Changed syntax to be identical to NLME project setup
- Improved logistic regression modeling
- Small fixes

## V0.9.999 January 16, 2019
- Improved logistic regression functionality
- Date/time conversion functions supporting data programming
- IQRoutputRDS available and producing log file for traceability information
- Event table generation functions
- Shiny app for NLME modeling now included in IQR Tools
- Smaller fixes

## V0.9.99 December 06, 2018
- Update to PopED 0.4.0 
- Providing convenient installers for 
    - Rtools
    - IQReport
    - IQRsbml   
- Providing installation test functions for 
    - Rtools, IQReport, IQRsbml 
    - MONOLIX and NONMEM

## V0.9.9 November 27, 2018
- Removed support for MONOLIX old version 2016R1
- Bookdown-style full documentation accessed with "doc_IQRtools()"
- Factored NLME project storage
- All plot functions now return ggplot objects with plot data as attributes
- Improved IQRoutputTable handling and modification
- Replaced IQRexportCSVdata with IQRsaveCSVdata. The new function also stores 
  potential non-standard attributes of a data.frame as an .atr file. The 
  IQRloadCSVdata function restores these attributes, if present.
- Made following functions for NLME diagnostic plots available to the user:
	  - plotETA_NLME()
	  - plotETACOV_NLME()
	  - plotINDIV_NLME()
	  - plotGOF_IQRnlmeProject()
	  - printOutlier_NLME()
- Allowed "comment" argument in IQRnlmeProject() function call to annotate a model
- Added summaryComments_IQRnlmeProjectMulti function showing the AIC, BIC, OBJ, and
  the user provided comments by "comment"
- Shrinkage in parameter table for fixed IIVs 
- "results_MONOLIX()" function added allowing to generate results for models built 
  in the GUI, rather than in IQR Tools

## V0.9.3 October 25, 2018
- Fixed as_IQRnlmeProjectMulti to work correctly with MONOLIX >2018R1 when using recursion (exclusion of .Internals folders)
- Allow VPC to not show the data points
- Allow VPC to set alpha/transparency for the data points
- Fixed issue in NONMEM and NLMIXR results table with long expressions
- Allow multi-column stratification in bootstrap_IQRnlmeProject function

## V0.9.2 October 18, 2018
- Enforced NRCHAINS if below 50 subjects
- IQRoutputPNG/PDF now first close PNG and PDF devices before opening and printing
- VPC: FLAGindivSimtimeMax on TRUE by default
- More informative information text showing license activity, etc.

## V0.9.1 October 07, 2018
- Improved NCA
	  - Advanced grouping of results
	  - Allowing non-numeric profile numbers
	  - Allowed IQRdataNCA to be exported to CSV and imported again as IQRdataNCA object
- Added modelSpec_IQRest function to allow easier definition of a modelSpec argument for the estimation object generation
- Added data_IQRest function to allow easier definition of a data argument for the estimation object generation
- Added dosing_IQRest function to allow easier definition of a dosing argument for the estimation object generation
- Allowed MONOLIX 2018R2
- Fixed interface to work with both NLMIXR 0.9.1.3 and 1.0.0.7 - now also allowing FOCEI
- Updated installer for NLMIXR and RxODE
- Summary function for IQRnlmeProject now provides units for error parameters and improved comments
- Remove min-max range bars from covariate forest-tree plots

## V0.9.0 September 03, 2018
- Improved the NCA functionality to better group subjects (e.g. weight-based dosing groups)
- Allow in NONMEM/BAYES interface to provide a vector for the DF of the omegas 
- PopED interface improved
- Updated NLMIXR interface
- Small fixes

## V0.8.1 August 7, 2018
- packageR_IQRtools() function allowing to package a whole R installation for reproducibility purposes
- getRepos() function to facilitate installation of packages from the MRAN time machine
- Improved VPC function
- Initial Interface popED 0.3.2 with IQRtools
- Survival analysis (KM)
- Logistic regression function
- Added info in IQRnlmeProject output tables that omegas are in standard deviation 
- Small fixes

## V0.8.0 June 25, 2018
- BAYES NONMEM estimation
- Selector for NM and MLX versions 
- Added unit tests for MONOLIX 2018R1
- Fixed bug with NONMEM 7.4 on Windows when running from R
- Rename NPROCESSORS to ncores and NPROCESSORSpar to Nparallel
- Handle ncores for MONOLIX 2018R1
- Fixed bug in initial guesses covariates in combination with covariance reordering - NONMEM code generation
- Additional tests for covariates and correlations and BAYES method in NONMEM
- Improved stability of NCA
- Allowed to provide individual simtime vectors when doing eventTable simulations
- Allowed VPCs for models without INPUTs
- Improved VPC to consider consider individual time periods
- Added IQRtteProject and associated functions for TTE modeling (MONOLIX only)
- Rename setup_options.R to setup_options_IQRtools.R
- The inference if old (2016R1) or new (2018R1) MONOLIX is used is not anymore
  done by the path name but by the list entry name in the setup_options_IQRtools.R file
- A local / user setup_options_IQRtools.R file can be placed in the users home folder
  to define settings that should be overridden from the global definition.
- Allowed to set number of simulated individual parameters for MONOLIX runs (2018R1 only)
- Deprecated MONOLIX 2016R1 ... will disappear end of the year
- IQRnlmeProject now allows to set the TOL option for NONMEM ADVAN13
- Better handling and documentation of the RATE/TINF column pair for NONMEM and MONOLIX
  MONOLIX only uses the TINF column
  NONMEM uses RATE=0 for bolus, RATE=-2 for using TINF or ABSORPTION0 TINF estimation.
- Joint Modelling (Longitudinal / TTE) using MONOLIX 2018R1
- Allow non full covariance matrices for BAYES
- Parallel NLME fits on Windows in addition to Linux
- Better error messages if identifiers are missing in IQRmodel files
- Small fixes

## V0.7.2 May 10, 2018
- Parallelized IQRsysFit on Windows
- Update the objective function for IQRsysFit to improve performance of optimization
- Improved dose handling for sensitivity calculations
- Fixed bug in sampling initial guesses for logit transformed parameters in IQRnlmeProject
- Small fixes

## V0.7.0 April 23, 2018
- Fixed issue with more than 9 model outputs 
- Added convenience functions for testing, setup, license and examples
- Fix state-parameter sensitivities to 0 when event is fired 
- Updated derivative computation in QSP modeling objective function 
- Use sensitivity equations instead of CVODE sensitivities by default to allow
  estimation of bioavailability in IQRsysFit
- Updated simulation time vector definition in QSP modeling objective function
- NCA data mean plots also shown now for single subjects in a dose group
- Small additional fixes

## V0.6.6 April 16, 2018
- Added vpc_IQRnlmeProject function ... still limited and should not be used for infusion data yet
- Added regenerate_IQRmodel as exported.
- Added additional NCA functions
- Small fixes

## V0.6.4 March 16, 2018
- Support of MONOLIX 2018R1
- Removal of pander as a dependency
- Interfacing with new version of IQReport
- Small bug fixes

## V0.6.3 March 08, 2018
- Added eigenvalue calculation function for IQRnlmeProjects to quickly 
  assess the terminal elimination half-life
- Allowed NLME projects without dosing inputs
- Export or IQRnlmeEst object as file in NLME project folder
- Added plotGOF_IQRnlmeProject function 
- Improved annotation of GOF plots
- Bug fixes

## V0.6.2 February 08, 2018
- Updated NCA code to result in same results as Phoenix/Winnonlin
- Improved NCA report generation to stratify dose groups
- Updated print and summary functions for IQRnca objects to allow stratification by dose group

## V0.6.1 January 26, 2018
- Improved installability across R 3.3.0 -> R 3.4.3
- Removed doParallel and foreach dependencies (result in IQRsysFit not running in parallel on Windows,
  but Linux is anyway better for heavy computation ...)
- Changed gather() -> gather_() where needed to ensure its working for some time around R 3.4.1 where the 
  tidyr package seems to have changed

## V0.6.0 January 24, 2018
- Finalized NCA functions including documentation, testing, and examples
- Added function getParameters_IQRnlmeProject()

## V0.5.8 January 19, 2018
- Added NCA functions (still without examples)
- Removed need for the MASS package
- Fixed a bug in regression parameter adding to datasets (made this new version necessary)

## V0.5.7 January 16, 2018
- IQRdataGENERAL: non-task events taken out by default
- Fixed issue in MONOLIX project generation that was not allowing ADDL/II
- Small bug fixes

## V0.5.6 December 14, 2017
- Allowed for bioavailability terms in NONMEM infusion/absorption0 models
- Smaller improvements (e.g. showing ID in addition to USUBJID in individual PK plots)
- Added clustering function for binning and function to generate binned statistics
- Small bug fixes

## V0.5.5 December 04, 2017
- Handling NONMEM 7.4 bug by automatically setting the MUM=N(...) option when needed
- Allow to provide simulatiokn time vector for plot.IQRsysData
- Add convergence info steps to trust and IQRsysPharm
- Add function setparameters_IQRmodel
- Allow not to provide doseNAMES and obsNAMES in IQRdataGENERAL - Handled by identifying doses by !is.na(ROUTE) and the rest as observations.
- Addition of a number of graphical data exploration functions
- Adding optional columns PROFTIME and PROFNR in the general dataset format
- subset_IQRdataGENERAL function
- Access to IQRdataGENERAL attributes via "convenience" functions
- ETA correlation plots were changed to allow for reasonable formatting when a larger number of parameters available in model
- Bug fix and improvement in ETA plots

## V0.5.1 October 14, 2017
- ACoP version
- Mainly fixing some documentation

## V0.5.0 October 10, 2017
- Exchanged "." in all non-S3 methods to "_"
- Added functions for generation of graphical exploration plots for IQRdataGENERAL objects
- Improved determination of estimated parameters for display purposes
- Display selected order metric in summary IQRnlmeProjectMulti tables
- Improved test-suite for validation of IQRtools
- Minor bug fixed that displayed in print.IQRnlmeEst function the wrong initial guesses for random effects
- Fixed all Notes that were important to fix.
- Improved ETA and ETA vs. COV plots by adding better titles for plots
- Added comparison based on t-test to ETA vs. categorical covariates

## V0.4.2 September 21, 2017
- Added function to generate an observation summary table for IQRdataGENERAL objects
- Added function rmDosePostLastObs.IQRdataGENERAL
- Optional removal of doses post last observation in clean.IQRdataGENERAL
- Bootstrap function updated to work with NLMIXR
- Simple NLMIXR Test functions
- Improved annotation of covariateEffect.IQRnlmeProject
- Sampling from uncertainty for MONOLIX results now ensures parameters in correct range (log, logit)
  without the user needing to take care of it
- Minor bug fixes

## V0.4.1 September 14, 2017
- NLMIXR has been interfaced with IQRtools ... it is experimental still
- Demographics tables generated for IQRdataGENERAL objects
- Exported auxiliary functions
- Small fixes
	  - Added log for project_model.txt in MONOLIX export and also the graphics.xml one
        - Removed the ADM=2 for IV by default if single ROUTE ... for single admin ADM=1 will be default if single ROUTE
        - Write out which covariates are not in the data when importing general dataset
	- Fixed covariate forest plot if covariate centering was chosen
	- Added residuals over TAD to GoF plots
	- Removed required dose names from IQRdataGENERAL
- Minor bug fixes where needed

## V0.3.0 August 14, 2017
- Support of NONMEM ADVAN 1,3, and 11
- Improvement of IQRnlmeProjectMulti summary tables to be fit for reporting
- Improvement of IQRnlmeProject summary table for reporting purposes
- Small bug fixes

## V0.2.0 July 14, 2017
- Small improvements
- Diagram representation of model via plot() function
- IQRsysPharm Shiny App provided separately which works with V0.2.0

## V0.1.0 June 5, 2017
- First release of Windows 64bit binary version
