% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/nlme_param_sampling.R
\name{GPFprojectInfo}
\alias{GPFprojectInfo}
\title{Collect information about models to sample from.}
\usage{
GPFprojectInfo(
  projectPath,
  indPars_select = NULL,
  popPars_select = NULL,
  cov_select = NULL
)
}
\arguments{
\item{projectPath}{the project folder to sample from}

\item{indPars_select, popPars_select, cov_select}{Potentially named character. Used to select and rename parameters of the model \cr
\cr
It works pretty similar to dplyr::select.\cr
The syntax is: c(newName = "oldName", "keepNameAsIs")
\cr
Supplying NULL \cr
* indPars_select and cov_select: Keep all sampled individual parameters and covariates as they are\cr
* popPars_select: Don't copy any popPars}
}
\value{
list(projectPath,indPars_select,popPars_select,cov_select)
}
\description{
Possibilities:
\itemize{
\item keep a subset of the parameters based on names
\item rename their suffixes
\item Rename covariate suffixes
}
}
\seealso{
\href{https://iqrtools.intiquan.com/doc/book/GPF.html}{General Parameter Format}
}
\author{
Daniel Lill (daniel.lill@intiquan.com)
}
\keyword{internal}
