% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/dataprogramming_tools.R
\name{IQRloadSASdata}
\alias{IQRloadSASdata}
\title{Loading SAS data}
\usage{
IQRloadSASdata(
  data_file,
  as.data.frame = TRUE,
  noLabels = TRUE,
  replaceComma = TRUE,
  encoding = NULL
)
}
\arguments{
\item{data_file}{Path to the \code{sas7bdat} or \code{xpt} data file.}

\item{as.data.frame}{Logical. If \code{TRUE} a \code{data.frame} is returned.}

\item{noLabels}{Logical. If \code{TRUE} label attributes are removed.}

\item{replaceComma}{If \code{TRUE} the "," is exchanged for " " - otherwise not.}

\item{encoding}{Sets the encoding (e.g. \code{"UTF-8"}): a value of \code{NULL} uses the encoding specified in the file. Use this argument to override it if it is incorrect. Ignored for \code{.xpt} files.}
}
\value{
data frame
Variable labels are stored in the "label" attribute of each variable. It is
not printed on the console, but the RStudio viewer will show it.
}
\description{
Using the haven package to load SAS data:
Reading supports both sas7bdat and xpt files.
}
\details{
Some arguments from haven::read_sas are disabled on purpose as
there are till bugs with them ... for now only use it for importing SAS files :)

Removing "," in character columns by default (can be switched off)
}
\seealso{
Other SAS: 
\code{\link{getLabels_dataframe}()},
\code{\link{unlabel_dataframe}()}
}
\concept{SAS}
