% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/general_classes_IQRmodel.R
\name{IQRmodel}
\alias{IQRmodel}
\title{IQRmodel}
\usage{
IQRmodel(input = NULL, FLAGsim = TRUE, FLAGsym = FALSE, sensParams = NULL)
}
\arguments{
\item{input}{A character string with the path/filename.txt to an IQRmodel
text representation}

\item{FLAGsim}{TRUE: the IQRmodel is prepared for simulation. This means
that mathematics for dosing inputs are handled and all required simulation
related functions will be generated.}

\item{FLAGsym}{If set to FALSE then no symbolic information will
be generated for a model. If set to TRUE (default) then state jacobian, state/parameter,
output/state and output/parameter derivatives will attempted to be generated
symbolically and attached to the model if successful.}

\item{sensParams}{Vector with parameter names for which sensitivities can
be calculated for all state variables. This input argument is added here
but it can also be changed afterwards in other functions that need the
sensitivities.}
}
\value{
An IQRmodel object. If input is NULL, an empty object is returned.
}
\description{
IQRmodel
}
\seealso{
Other IQRmodel: 
\code{\link{addOutputs_IQRmodel}()},
\code{\link{addRelations_IQRmodel}()},
\code{\link{exportSBML_IQRmodel}()},
\code{\link{exportVariant_IQRmodel}()},
\code{\link{export_IQRmodel}()},
\code{\link{getPars_IQRmodel}()},
\code{\link{hasCcodeFunctions_IQRmodel}()},
\code{\link{hasInitialAssignments_IQRmodel}()},
\code{\link{importSBML_IQRmodel}()},
\code{\link{importVariant_IQRmodel}()},
\code{\link{is_IQRmodel}()},
\code{\link{new_IQRmodel}()},
\code{\link{print.IQRmodel}()},
\code{\link{print.IQRsensitivity}()},
\code{\link{regenerate_IQRmodel}()},
\code{\link{replaceTerms_IQRmodel}()},
\code{\link{sensitivity_IQRmodel}()},
\code{\link{setParameters_IQRmodel}()},
\code{\link{setPars_IQRmodel}()},
\code{\link{sim_IQRmodel}()},
\code{\link{simbio_CSV2namedVector}()},
\code{\link{simbio_updateParamIC_IQRmodel}()},
\code{\link{stoichiometry_IQRmodel}()},
\code{\link{strReplace_IQRmodel}()}

Other Allowed in IQRmodel: 
\code{\link{and}()},
\code{\link{ge}()},
\code{\link{gt}()},
\code{\link{interp0}()},
\code{\link{interp1}()},
\code{\link{interpcs}()},
\code{\link{le}()},
\code{\link{lt}()},
\code{\link{mod}()},
\code{\link{or}()},
\code{\link{piecewise}()}
}
\concept{Allowed in IQRmodel}
\concept{IQRmodel}
