% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/dMod_classes_IQRsysModel.R
\name{IQRsysModel}
\alias{IQRsysModel}
\title{Generate an IQRsysModel}
\usage{
IQRsysModel(model, dosing = NULL, data = NULL, modelSpec = NULL)
}
\arguments{
\item{model}{character pointing to model file or \link{IQRmodel} object}

\item{dosing}{Can be one of the following:
\enumerate{
\item \code{NULL},
\item \link{IQRdosing},
\item list of \link{IQRdosing} with \code{names(dosing)} referring to different conditions,
\item \link{dosing_IQRest} - like dosing information
}}

\item{data}{Can be one of the following:
\enumerate{
\item \code{NULL}
\item Data in \code{IQRnlmeData} or \code{IQRsysData} format, see for example \link{import_IQRsysData}
\item \link{data_IQRest} - like data specification
}}

\item{modelSpec}{model specification, see \link{modelSpec_IQRest}. Additional allowed fields are \code{LOCmodel} \code{LOCvalues0} \code{LOCestimate} \code{LOCdistribution}}
}
\value{
A sysModel object
}
\description{
The syntax to generate an IQRsysModel is the same as in \code{\link{IQRnlmeEst}} or \code{\link{IQRsysEst}}.
The few differences compared to \code{IQRnlmeEst} comprise that \code{data} is not required anymore.
Furthermore, in the modelSpec, there are additional fields allowed which are called IQRsys
}
\seealso{
Other QSP: 
\code{\link{IQRsysEst}()},
\code{\link{IQRsysProject}()},
\code{\link{addOutputs_IQRmodel}()},
\code{\link{addRelations_IQRmodel}()},
\code{\link{as_IQRsysEst}()},
\code{\link{as_IQRsysProjectMulti}()},
\code{\link{as_IQRsysProject}()},
\code{\link{comparePars_IQRsysModel}()},
\code{\link{duplicate_IQRsysProject}()},
\code{\link{exportVariant_IQRmodel}()},
\code{\link{exportVirtualSubjects_IQRnlmeProject}()},
\code{\link{export_IQRsysData}()},
\code{\link{getDosing_IQRsysModel}()},
\code{\link{getEmpiricalETACovarianceMatrix_IQRsysProject}()},
\code{\link{getOptTrace_IQRsysProject}()},
\code{\link{getPars_IQRoptTrace}()},
\code{\link{getPars_IQRsysModel}()},
\code{\link{getPrediction_IQRsysModel}()},
\code{\link{hasrun_IQRsysProject}()},
\code{\link{importVariant_IQRmodel}()},
\code{\link{import_IQRsysData}()},
\code{\link{is_IQRsysEst}()},
\code{\link{is_IQRsysModel}()},
\code{\link{is_IQRsysProjectMulti}()},
\code{\link{is_IQRsysProject}()},
\code{\link{load_IQRsysProject}()},
\code{\link{modelSpec_IQRsysEst}()},
\code{\link{model_IQRsysModel}()},
\code{\link{offsetTIME_IQRsysData}()},
\code{\link{plotDVPRED_IQRsysModel}()},
\code{\link{plotFit_IQRsysModel}()},
\code{\link{plotPars_IQRsysModel}()},
\code{\link{plotPred_IQRsysModel}()},
\code{\link{plotProfile_IQRsysModel}()},
\code{\link{plotWRES_IQRsysModel}()},
\code{\link{plotWaterfall_IQRsysModel}()},
\code{\link{plot_IQRoptTrace}()},
\code{\link{plot_IQRsysModel}()},
\code{\link{print.IQRsensitivity}()},
\code{\link{print.IQRsysProject}()},
\code{\link{profile_IQRsysModel}()},
\code{\link{replaceTerms_IQRmodel}()},
\code{\link{run_IQRsysProjectMulti}()},
\code{\link{run_IQRsysProject}()},
\code{\link{sample_IQRsysModel}()},
\code{\link{sensitivity_IQRmodel}()},
\code{\link{setPars_IQRsysModel}()},
\code{\link{sim_IQRsysModel}()},
\code{\link{sim_IQRvirtualSubjects}()},
\code{\link{simbio_CSV2namedVector}()},
\code{\link{simbio_updateParamIC_IQRmodel}()},
\code{\link{spmIIV_IQRsysProject}()},
\code{\link{spm_IQRsysProject}()},
\code{\link{switchOpt_IQRsysModel}()},
\code{\link{tablePars_IQRsysModel}()}
}
\author{
Daniel Lill, Daniel Kaschek, IntiQuan GmbH
}
\concept{QSP}
