% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/nlme_classes_IQRtteProject.R
\name{IQRtteProject}
\alias{IQRtteProject}
\title{Generation of a MONOLIX TTE project}
\usage{
IQRtteProject(
  model = "Weibull",
  comment = "",
  repeated = FALSE,
  delay = FALSE,
  modelSpec = NULL,
  data = data,
  projectPath = NULL,
  toolVersion = NULL,
  algOpt.SEED = 123456,
  algOpt.K1 = 500,
  algOpt.K2 = 200,
  algOpt.NRCHAINS = 1,
  algOpt.individualParameters = "ConditionalMode",
  algOpt.indivMCMClength = 50,
  algOpt.indivNsim = 10,
  algOpt.indivRatio = 0.05,
  algOpt.variability = "FirstStage"
)
}
\arguments{
\item{model}{String with type of model ("Weibull","Exponential","Gompertz","Log-logistic","Uniform","Gamma","Generalized-Gamma")}

\item{comment}{Character string. Allows the user to enter some information about the model.
This can be displayed in summary tables. It is stored in the model in the metadata section}

\item{repeated}{Boolean to indicated if single or repeated events}

\item{delay}{Boolean to indicate if a delay should be taken into account}

\item{modelSpec}{Same entries as for IQRnlmeProject (except the prior information)}

\item{data}{Same information as for IQRnlmeProject}

\item{projectPath}{Path where to generate the TTE project}

\item{toolVersion}{Character string with the tool version name as defined in
the setup_options_IQRtools.R file (can be set with
setup_IQRtools() function). By default the first option
defined in the respective lists in setup_options_IQRtools.R
is used.}

\item{algOpt.SEED}{Seed for MONOLIX SAEM}

\item{algOpt.K1}{First iterations for SAEM.}

\item{algOpt.K2}{Second iterations for SAEM.}

\item{algOpt.NRCHAINS}{Number of chains}

\item{algOpt.individualParameters}{'conditionalMode' (default), 'conditionalMean', or 'All'}

\item{algOpt.indivMCMClength}{MONOLIX option if individualParameters 'conditionalMean' or 'All'. Interval length of the MCMC convergence assessment for the conditional distribution}

\item{algOpt.indivNsim}{MONOLIX option if individualParameters 'conditionalMean' or 'All'. Number of simulated individual parameters per individual}

\item{algOpt.indivRatio}{MONOLIX option if individualParameters 'conditionalMean' or 'All'. Relative interval width (between 0 and 1)}

\item{algOpt.variability}{= 'no', 'Decreasing', 'FirstStage' (default), 'Mixed'}
}
\description{
This is a function under development! Please use with care. It only works with MONOLIX
and the required version is 2018R1 or above.
}
\seealso{
Other IQRtteProject: 
\code{\link{as_IQRtteProjectMulti}()},
\code{\link{as_IQRtteProject}()},
\code{\link{is_IQRtteProjectMulti}()},
\code{\link{is_IQRtteProject}()},
\code{\link{plot.IQRtteProject}()},
\code{\link{plotVPC_IQRtteProject}()},
\code{\link{print.IQRtteProjectMulti}()},
\code{\link{print.IQRtteProject}()},
\code{\link{run_IQRtteProjectMulti}()},
\code{\link{run_IQRtteProject}()}

Other IQRtteProject: 
\code{\link{as_IQRtteProjectMulti}()},
\code{\link{as_IQRtteProject}()},
\code{\link{is_IQRtteProjectMulti}()},
\code{\link{is_IQRtteProject}()},
\code{\link{plot.IQRtteProject}()},
\code{\link{plotVPC_IQRtteProject}()},
\code{\link{print.IQRtteProjectMulti}()},
\code{\link{print.IQRtteProject}()},
\code{\link{run_IQRtteProjectMulti}()},
\code{\link{run_IQRtteProject}()}
}
\concept{IQRtteProject}
