% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/nlme_param_sampling.R
\name{addIIVCov_toGPF}
\alias{addIIVCov_toGPF}
\title{Add IIV from vcov-Matrix to GPF}
\usage{
addIIVCov_toGPF(iivCOV, gpf)
}
\arguments{
\item{iivCOV}{data.frame(PARAMETER, iiv_covmatrix...) lower triangle of Variance covariance matrix of random effects. First column needs to be PARAMETER denoting the parameter names. Other column names are not mandatory}

\item{gpf}{An \code{\link[=GPF]{GPF()}}}
}
\value{
gpf with IIV values filled into the excel sheet
}
\description{
This function is handy to generate a GPF manually
}
\examples{
\dontrun{
gpf <- load_GPF(system.file("examples/GPFExamples/xls4_2cpt_linearAbs.xlsx", package = "IQRtools"))
iivCOV <- data.table::data.table(PARAMETER = c("kabs", "CL", "Vc"),
                                 kabs      = c( 12   ,  3  ,  4) ,
                                 V2        = c( NA   ,  4  ,  0) ,
                                 V3        = c( NA   , NA  ,  1) )
addIIVCov_toGPF(iivCOV, gpf)
}
}
\seealso{
\href{https://iqrtools.intiquan.com/doc/book/GPF.html}{General Parameter Format}

Other GPF: 
\code{\link{GPF}()},
\code{\link{combineGPF}()},
\code{\link{export_GPF}()},
\code{\link{generate_GPFFromIQRnlmeEst}()},
\code{\link{generate_GPFFromIQRnlmeProject}()},
\code{\link{generate_GPFFromProjectInfoList}()},
\code{\link{generate_GPFFromProjectInfo}()},
\code{\link{imputeTYPEcol_GPF}()},
\code{\link{load_GPF}()},
\code{\link{read_GPFFromCSV}()},
\code{\link{read_GPFFromXLS}()},
\code{\link{sample_GPF}()},
\code{\link{select_FromGPF}()}
}
\author{
Daniel Lill (daniel.lill@intiquan.com)
}
\concept{GPF}
\keyword{internal}
