% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/dMod_classes_IQRsysProject.R
\name{as_IQRsysProjectMulti}
\alias{as_IQRsysProjectMulti}
\title{Creating an IQsysProjectMulti project}
\usage{
as_IQRsysProjectMulti(input, FLAGrecursive = FALSE)
}
\arguments{
\item{input}{Character string or vector of character strings with paths to folders.
If these folders are IQsysProjects then these are added to the IQsysProjectMulti
object. If these folders are not IQsysProjects then it is checked if in these folders
IQsysProjects are located and if yes these are added to the IQsysProjectMulti object.
input argument can also be IQsysProject and IQsysProjectMulti objects, which are turned
to a single IQsysProjectMulti object.}

\item{FLAGrecursive}{If TRUE then folders and their subfolders are recursively checked if they
contain IQsysProjects If yes, all these are added to the IQsysProjectMulti object.}
}
\value{
IQsysProjectMulti project
}
\description{
IQsysProjectMulti objects are lists that contain IQsysProjects.
The list elements of IQsysProjectMulti objects are named by default with
the relative path to the IQsysProject. If the user desired this can be
changed manually later. The names will be used in tables for display.
}
\details{
There are several options to create an IQsysProjectMulti object.
First, if the input argument is a character string or a vector of character
strings then each element is interpreted as a path and every IQsysProject
included in this path will be added to the object. By default the top level
path is used. But it is also possible to add models recursively.

Alternativaly, input can be an IQsysProject of an IQsysProjectMulti, which
both will be returned as IQsysProjectMulti objects.
}
\seealso{
Other QSP: 
\code{\link{IQRsysEst}()},
\code{\link{IQRsysModel}()},
\code{\link{IQRsysProject}()},
\code{\link{addOutputs_IQRmodel}()},
\code{\link{addRelations_IQRmodel}()},
\code{\link{as_IQRsysEst}()},
\code{\link{as_IQRsysProject}()},
\code{\link{comparePars_IQRsysModel}()},
\code{\link{duplicate_IQRsysProject}()},
\code{\link{exportVariant_IQRmodel}()},
\code{\link{exportVirtualSubjects_IQRnlmeProject}()},
\code{\link{export_IQRsysData}()},
\code{\link{getDosing_IQRsysModel}()},
\code{\link{getEmpiricalETACovarianceMatrix_IQRsysProject}()},
\code{\link{getOptTrace_IQRsysProject}()},
\code{\link{getPars_IQRoptTrace}()},
\code{\link{getPars_IQRsysModel}()},
\code{\link{getPrediction_IQRsysModel}()},
\code{\link{hasrun_IQRsysProject}()},
\code{\link{importVariant_IQRmodel}()},
\code{\link{import_IQRsysData}()},
\code{\link{is_IQRsysEst}()},
\code{\link{is_IQRsysModel}()},
\code{\link{is_IQRsysProjectMulti}()},
\code{\link{is_IQRsysProject}()},
\code{\link{load_IQRsysProject}()},
\code{\link{modelSpec_IQRsysEst}()},
\code{\link{model_IQRsysModel}()},
\code{\link{offsetTIME_IQRsysData}()},
\code{\link{plotDVPRED_IQRsysModel}()},
\code{\link{plotFit_IQRsysModel}()},
\code{\link{plotPars_IQRsysModel}()},
\code{\link{plotPred_IQRsysModel}()},
\code{\link{plotProfile_IQRsysModel}()},
\code{\link{plotWRES_IQRsysModel}()},
\code{\link{plotWaterfall_IQRsysModel}()},
\code{\link{plot_IQRoptTrace}()},
\code{\link{plot_IQRsysModel}()},
\code{\link{print.IQRsensitivity}()},
\code{\link{print.IQRsysProject}()},
\code{\link{profile_IQRsysModel}()},
\code{\link{replaceTerms_IQRmodel}()},
\code{\link{run_IQRsysProjectMulti}()},
\code{\link{run_IQRsysProject}()},
\code{\link{sample_IQRsysModel}()},
\code{\link{sensitivity_IQRmodel}()},
\code{\link{setPars_IQRsysModel}()},
\code{\link{sim_IQRsysModel}()},
\code{\link{sim_IQRvirtualSubjects}()},
\code{\link{simbio_CSV2namedVector}()},
\code{\link{simbio_updateParamIC_IQRmodel}()},
\code{\link{spmIIV_IQRsysProject}()},
\code{\link{spm_IQRsysProject}()},
\code{\link{switchOpt_IQRsysModel}()},
\code{\link{tablePars_IQRsysModel}()}
}
\author{
Henning Schmidt, IntiQuan
}
\concept{QSP}
