% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/nlme_classes_IQRtteProject.R
\name{as_IQRtteProjectMulti}
\alias{as_IQRtteProjectMulti}
\title{Creating an IQRtteProjectMulti project}
\usage{
as_IQRtteProjectMulti(input, FLAGrecursive = FALSE)
}
\arguments{
\item{input}{Character string or vector of character strings with paths to folders.
If these folders are IQRtteProjects then these are added to the IQRtteProjectMulti
object. If these folders are not IQRtteProjects then it is checked if in these folders
IQRtteProjects are located and if yes these are added to the IQRtteProjectMulti object.
input argument can also be IQRtteProject and IQRtteProjectMulti objects, which are turned
to a single IQRtteProjectMulti object.}

\item{FLAGrecursive}{If TRUE then folders and their subfolders are recursively checked if they
contain IQRtteProjects If yes, all these are added to the IQRtteProjectMulti object.}
}
\value{
IQRtteProjectMulti project
}
\description{
There are several options to create an IQRtteProjectMulti object.
First, if the input argument is a character string or a vector of character
strings then each element is interpreted as a path and every IQRtteProject
included in this path will be added to the object. By default the top level
path is used. But it is also possible to add models recursively.
}
\details{
Alternativaly, input can be an IQRtteProject of an IQRtteProjectMulti, which
both will be returned as IQRtteProjectMulti objects.
}
\seealso{
Other IQRtteProject: 
\code{\link{IQRtteProject}()},
\code{\link{as_IQRtteProject}()},
\code{\link{is_IQRtteProjectMulti}()},
\code{\link{is_IQRtteProject}()},
\code{\link{plot.IQRtteProject}()},
\code{\link{plotVPC_IQRtteProject}()},
\code{\link{print.IQRtteProjectMulti}()},
\code{\link{print.IQRtteProject}()},
\code{\link{run_IQRtteProjectMulti}()},
\code{\link{run_IQRtteProject}()}

Other IQRtteProject: 
\code{\link{IQRtteProject}()},
\code{\link{as_IQRtteProject}()},
\code{\link{is_IQRtteProjectMulti}()},
\code{\link{is_IQRtteProject}()},
\code{\link{plot.IQRtteProject}()},
\code{\link{plotVPC_IQRtteProject}()},
\code{\link{print.IQRtteProjectMulti}()},
\code{\link{print.IQRtteProject}()},
\code{\link{run_IQRtteProjectMulti}()},
\code{\link{run_IQRtteProject}()}
}
\concept{IQRtteProject}
