% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/general_auxiliaries.R
\name{aux_splitVectorEqualPieces}
\alias{aux_splitVectorEqualPieces}
\title{Split vector into equal pieces}
\usage{
aux_splitVectorEqualPieces(x, n)
}
\arguments{
\item{x}{Vector to be splitted}

\item{n}{Number of elements per piece}
}
\value{
List with the split pieces
}
\description{
Splits a vector in pieces with defined length and
a remainder. Useful when to split datasets by ID for plotting over
several pages.
}
\examples{
x <- 1:20
aux_splitVectorEqualPieces(x,3)
}
\seealso{
Other Auxiliary: 
\code{\link{IQRloadCSVdata}()},
\code{\link{IQRsaveCSVdata}()},
\code{\link{and}()},
\code{\link{aux_explodePC}()},
\code{\link{aux_explode}()},
\code{\link{aux_fileparts}()},
\code{\link{aux_fileread}()},
\code{\link{aux_filewrite}()},
\code{\link{aux_getRelPath}()},
\code{\link{aux_mkdir}()},
\code{\link{aux_na_locf}()},
\code{\link{aux_postFillChar}()},
\code{\link{aux_preFillChar}()},
\code{\link{aux_quantilenumber}()},
\code{\link{aux_rmdir}()},
\code{\link{aux_simplifypath}()},
\code{\link{aux_strFindAll}()},
\code{\link{aux_strrep}()},
\code{\link{aux_strtrim}()},
\code{\link{aux_unlevel}()},
\code{\link{aux_version}()},
\code{\link{calcAICBIC}()},
\code{\link{clusterX}()},
\code{\link{compare_IQRmodel_IQRsysModel_simulation}()},
\code{\link{fit_EmaxModel}()},
\code{\link{format_GUM}()},
\code{\link{gen_aux_version}()},
\code{\link{geocv}()},
\code{\link{geomean}()},
\code{\link{geosd}()},
\code{\link{ge}()},
\code{\link{ginv}()},
\code{\link{gt}()},
\code{\link{interp0}()},
\code{\link{interp1}()},
\code{\link{interpcs}()},
\code{\link{inv_logit}()},
\code{\link{le}()},
\code{\link{logit}()},
\code{\link{lt}()},
\code{\link{mod}()},
\code{\link{mvrnorm}()},
\code{\link{or}()},
\code{\link{piecewise}()},
\code{\link{progressBar}()},
\code{\link{run_silent_IQR}()},
\code{\link{stopIQR}()},
\code{\link{tempdirIQR}()},
\code{\link{tempfileIQR}()},
\code{\link{warningIQR}()}
}
\concept{Auxiliary}
