% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/general_auxiliaries.R
\name{aux_version}
\alias{aux_version}
\title{Check version function for packages}
\usage{
aux_version(
  pkgName = "IQRtools",
  IQdesktop = NULL,
  exactVersion = NULL,
  minVersion = NULL,
  Rversion = NULL,
  isRopen = NULL,
  OS = NULL
)
}
\arguments{
\item{pkgName}{String with name of package (defaults to IQRtools)}

\item{IQdesktop}{String defining the IQdesktop version used for the analysis}

\item{exactVersion}{String with exact version of package required}

\item{minVersion}{String with minimum version of package required}

\item{Rversion}{The user can provide the R version used for this analysis.
If provided (example: Rversion="3.5.1") then it will be checked if the current R
version matches it. If not, there will be an error message.}

\item{isRopen}{The user can define whether R Open is to be used for the analysis (TRUE or FALSE).
If provided then it will be checked if this is correct. If not, there will be an error message.}

\item{OS}{The user can provide which operating system used for this analysis.
If provided (example: OS="unix") then it will be checked if the OS matches it.
If not, there will be an error message.}
}
\value{
Version of package as string (if minVersion=NULL)
TRUE if version of package >= minVersion
Error message if version of package < minVersion
}
\description{
Check version function for packages
}
\seealso{
Other Auxiliary: 
\code{\link{IQRloadCSVdata}()},
\code{\link{IQRsaveCSVdata}()},
\code{\link{and}()},
\code{\link{aux_explodePC}()},
\code{\link{aux_explode}()},
\code{\link{aux_fileparts}()},
\code{\link{aux_fileread}()},
\code{\link{aux_filewrite}()},
\code{\link{aux_getRelPath}()},
\code{\link{aux_mkdir}()},
\code{\link{aux_na_locf}()},
\code{\link{aux_postFillChar}()},
\code{\link{aux_preFillChar}()},
\code{\link{aux_quantilenumber}()},
\code{\link{aux_rmdir}()},
\code{\link{aux_simplifypath}()},
\code{\link{aux_splitVectorEqualPieces}()},
\code{\link{aux_strFindAll}()},
\code{\link{aux_strrep}()},
\code{\link{aux_strtrim}()},
\code{\link{aux_unlevel}()},
\code{\link{calcAICBIC}()},
\code{\link{clusterX}()},
\code{\link{compare_IQRmodel_IQRsysModel_simulation}()},
\code{\link{fit_EmaxModel}()},
\code{\link{format_GUM}()},
\code{\link{gen_aux_version}()},
\code{\link{geocv}()},
\code{\link{geomean}()},
\code{\link{geosd}()},
\code{\link{ge}()},
\code{\link{ginv}()},
\code{\link{gt}()},
\code{\link{interp0}()},
\code{\link{interp1}()},
\code{\link{interpcs}()},
\code{\link{inv_logit}()},
\code{\link{le}()},
\code{\link{logit}()},
\code{\link{lt}()},
\code{\link{mod}()},
\code{\link{mvrnorm}()},
\code{\link{or}()},
\code{\link{piecewise}()},
\code{\link{progressBar}()},
\code{\link{run_silent_IQR}()},
\code{\link{stopIQR}()},
\code{\link{tempdirIQR}()},
\code{\link{tempfileIQR}()},
\code{\link{warningIQR}()}
}
\concept{Auxiliary}
