% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data_classes_IQRdataGeneral_checks.R
\name{checkForDuplicatedTimeSeries_IQRdataGENERAL}
\alias{checkForDuplicatedTimeSeries_IQRdataGENERAL}
\title{Find different USUBJIDs with identical time-sries values for a given NAME in
an IQRdataGENERAL.}
\usage{
checkForDuplicatedTimeSeries_IQRdataGENERAL(dataGeneral, name, verbose = FALSE)
}
\arguments{
\item{dataGeneral}{a data.frame having at least columns USUBJID, NAME, TIME, VALUE, DV.}

\item{name}{a character string denoting the value of NAME column for which the
time-series must be compared.}

\item{verbose}{logical (default FALSE).}
}
\value{
a named list with character string elements. The names in this list are
USUBJIDs for which duplicates have been found; the values are character vectors
of the duplicating USUBJIDs.
}
\description{
Find different USUBJIDs with identical time-sries values for a given NAME in
an IQRdataGENERAL.
}
\examples{
\dontrun{

checkForDuplicatedTimeSeries_IQRdataGENERAL(
  dataGeneral = dataGeneral, name = "MMV000056 Blood Concentration")

checkForDuplicatedTimeSeries_IQRdataGENERAL(
  dataGeneral = dataGeneral[dataGeneral[["DV"]]>dataGeneral[["LLOQ"]],],
  name = "MMV000019 Blood Concentration",
  verbose = TRUE)
}
}
\keyword{internal}
