% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/tables_classes_IQRtable.R
\name{cjoin_IQRtable}
\alias{cjoin_IQRtable}
\alias{rjoin_IQRtable}
\title{Join tables based on first column or first row}
\usage{
cjoin_IQRtable(..., na.char = "--")

rjoin_IQRtable(..., na.char = "--")
}
\arguments{
\item{...}{one or more tables or single list of tables to be combined.}

\item{na.char}{character used to display missing elements in the output table.}
}
\value{
Matrix, the composition of the single tables.
}
\description{
The function is a mixture of "base::cbind"/"base::rbind" and "dplyr::full_join".
It attempts to combine matrices by columns or rows using the first column or row
as a reference not repeating it each time.
}
\examples{
M <- as_IQRtable(
  data.frame(
    parameter = c("a", "b"),
    value = c(1.35, 23.1)
  )
)

N <- as_IQRtable(
  data.frame(
    parameter = c("a", "c"),
    value = c(1.73, 0.05)
  )
)

cjoin_IQRtable(M, N)
rjoin_IQRtable(M, N)

}
\seealso{
Other IQR Table: 
\code{\link{IQRtable}()},
\code{\link{as.data.frame.IQRtable}()},
\code{\link{as_IQRtable}()},
\code{\link{composeByRule_IQRtable}()},
\code{\link{compose_IQRtable}()}

Other IQR Table: 
\code{\link{IQRtable}()},
\code{\link{as.data.frame.IQRtable}()},
\code{\link{as_IQRtable}()},
\code{\link{composeByRule_IQRtable}()},
\code{\link{compose_IQRtable}()}
}
\author{
Daniel Kaschek, IntiQuan
}
\concept{IQR Table}
