% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/nlme_param_sampling.R
\name{combineGPF}
\alias{combineGPF}
\title{Generate masterGPF multiple GPF}
\usage{
combineGPF(GPFlist, filename = NULL)
}
\arguments{
\item{GPFlist}{list(\link{GPF},...)}

\item{filename}{file.path to write the xls to disk can be empty}
}
\value{
\link{GPF}
}
\description{
Generate masterGPF multiple GPF
}
\examples{
\dontrun{
projPath <- system.file("examples/GPFExamples/project3_Epo", package = "IQRtools")
projectInfo <- GPFprojectInfo(projePath)
xls_fromProject <- generate_GPFFromProjectInfo(projectInfo, FLAGdropErrParams = TRUE)

# Rename parameters to parameter_X1
pars <- getPopParameters_IQRnlmeProject(projPath)
projectInfo <- GPFprojectInfo(projPath,
                              indPars_select = setNames(names(pars),
                              paste0(names(pars), "_X1")))
xls_fromProject_X1 <- generate_GPFFromProjectInfo(projectInfo, FLAGdropErrParams = TRUE)

# Combine the model with and without suffix
combineGPF(list(xls_fromProject, xls_fromProject_X1))
}
}
\seealso{
\href{https://iqrtools.intiquan.com/doc/book/GPF.html}{General Parameter Format}

Other Parameter sampling: 
\code{\link{calcIndParamValues}()},
\code{\link{calcTypicalIndParamValues}()},
\code{\link{generate_GPFFromIQRnlmeEst}()},
\code{\link{generate_GPFFromIQRnlmeProject}()},
\code{\link{generate_GPFFromProjectInfoList}()},
\code{\link{generate_GPFFromProjectInfo}()},
\code{\link{getCorMatrixUncertainty}()},
\code{\link{getCovMatrixIIV}()},
\code{\link{getCovMatrixUncertainty}()},
\code{\link{getNamesAllParameters}()},
\code{\link{getNamesCovariateParameters}()},
\code{\link{getNamesCovariates}()},
\code{\link{getNamesErrorParameters}()},
\code{\link{getNamesIIVCorrParameters}()},
\code{\link{getNamesIIVParameters}()},
\code{\link{getNamesModelParameters}()},
\code{\link{getParamEstimates}()},
\code{\link{getParamTransformationTypes}()},
\code{\link{imputeTYPEcol_GPF}()},
\code{\link{is_GPF}()},
\code{\link{is_IQRnlmeParamSpec}()},
\code{\link{read_GPFFromCSV}()},
\code{\link{read_GPFFromXLS}()},
\code{\link{sampleIDs}()},
\code{\link{sampleIndParamValues}()},
\code{\link{sampleParamFromUncertainty}()},
\code{\link{sampleRandomEffects}()},
\code{\link{sample_GPF}()},
\code{\link{select_FromGPF}()},
\code{\link{specifyParamSampling}()},
\code{\link{transformParamToNormal}()},
\code{\link{untransformParamFromNormal}()}

Other GPF: 
\code{\link{GPF}()},
\code{\link{addIIVCov_toGPF}()},
\code{\link{export_GPF}()},
\code{\link{generate_GPFFromIQRnlmeEst}()},
\code{\link{generate_GPFFromIQRnlmeProject}()},
\code{\link{generate_GPFFromProjectInfoList}()},
\code{\link{generate_GPFFromProjectInfo}()},
\code{\link{imputeTYPEcol_GPF}()},
\code{\link{load_GPF}()},
\code{\link{read_GPFFromCSV}()},
\code{\link{read_GPFFromXLS}()},
\code{\link{sample_GPF}()},
\code{\link{select_FromGPF}()}
}
\author{
Daniel Lill (IntiQuan)
}
\concept{GPF}
\concept{Parameter sampling}
\keyword{internal}
