% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/test_auxiliaries.R
\name{compare_IQRmodel_IQRsysModel_simulation}
\alias{compare_IQRmodel_IQRsysModel_simulation}
\title{Comparing IQRmodel with IQRsysModel simulation}
\usage{
compare_IQRmodel_IQRsysModel_simulation(
  model,
  simtime = NULL,
  dosingTable = NULL,
  parameters = NULL,
  filename = NULL,
  absTol = 1e-12,
  relTol = 1e-12
)
}
\arguments{
\item{model}{IQRmodel or path to IQRmodel file}

\item{simtime}{Numeric vector with simulation time. If not provided a simtime
vector of seq(0,20,1) will be used.}

\item{dosingTable}{IQRdosing}

\item{parameters}{Named numeric vector of parameters for simulation}

\item{filename}{If filename provided comparisons will be plotted into a PDF}

\item{absTol}{absolute tolerance for simulator}

\item{relTol}{relative tolerance for simulator}
}
\value{
Object CompareIQRmodelIQRsysModel with relevant information
}
\description{
Can be used for unit tests but as well for other purposes.
It will compare all state variables and all OUTPUT variables. If a model
does not contain an OUTPUT then an OUTPUT1 will be added and assigned the
sum of all variables. If a model does not contain an INPUT then +INPUT1
will be added to the first ODE in the model. This OUTPUT and INPUT definition
is needed as IQRsysModels require the presence of at least one INPUT and OUTPUT.
}
\seealso{
Other Auxiliary: 
\code{\link{IQRloadCSVdata}()},
\code{\link{IQRsaveCSVdata}()},
\code{\link{and}()},
\code{\link{aux_explodePC}()},
\code{\link{aux_explode}()},
\code{\link{aux_fileparts}()},
\code{\link{aux_fileread}()},
\code{\link{aux_filewrite}()},
\code{\link{aux_getRelPath}()},
\code{\link{aux_mkdir}()},
\code{\link{aux_na_locf}()},
\code{\link{aux_postFillChar}()},
\code{\link{aux_preFillChar}()},
\code{\link{aux_quantilenumber}()},
\code{\link{aux_rmdir}()},
\code{\link{aux_simplifypath}()},
\code{\link{aux_splitVectorEqualPieces}()},
\code{\link{aux_strFindAll}()},
\code{\link{aux_strrep}()},
\code{\link{aux_strtrim}()},
\code{\link{aux_unlevel}()},
\code{\link{aux_version}()},
\code{\link{calcAICBIC}()},
\code{\link{clusterX}()},
\code{\link{fit_EmaxModel}()},
\code{\link{format_GUM}()},
\code{\link{gen_aux_version}()},
\code{\link{geocv}()},
\code{\link{geomean}()},
\code{\link{geosd}()},
\code{\link{ge}()},
\code{\link{ginv}()},
\code{\link{gt}()},
\code{\link{interp0}()},
\code{\link{interp1}()},
\code{\link{interpcs}()},
\code{\link{inv_logit}()},
\code{\link{le}()},
\code{\link{logit}()},
\code{\link{lt}()},
\code{\link{mod}()},
\code{\link{mvrnorm}()},
\code{\link{or}()},
\code{\link{piecewise}()},
\code{\link{progressBar}()},
\code{\link{run_silent_IQR}()},
\code{\link{stopIQR}()},
\code{\link{tempdirIQR}()},
\code{\link{tempfileIQR}()},
\code{\link{warningIQR}()}
}
\concept{Auxiliary}
