% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/dMod_tools_dMod.R
\name{convert2dMod_IQRdata}
\alias{convert2dMod_IQRdata}
\title{Read IQRsysData file}
\usage{
convert2dMod_IQRdata(
  datafile = NULL,
  catNames = NULL,
  covNames = NULL,
  regressorNames = NULL,
  keep = "CONDITION",
  split.by = "ID",
  inputs = NULL
)
}
\arguments{
\item{datafile}{\enumerate{
\item A character pointing to the CSV data file or
\item A data.frame or an IQRsysData-object
\item A list, as it can be passed to \link{IQRnlmeEst}.
}}

\item{covNames, catNames, regressorNames}{Character vector, denoting continuous covariates, categorical covariates or regression parameters.
If data is passed as list, the covariate/regressor Information in this list overwrites these arguments}

\item{keep}{Character vector of additional columns to keep in the "condition.grid" attribute of the \code{\link[dMod]{datalist}}}

\item{split.by}{Column by which to split into conditions.
If other than "ID" must be contained in \code{keep}. # DL: Update: it doesn't have to be anymore}

\item{inputs}{number of inputs. Can be NULL in which case the number of inputs is
detected from the data}
}
\value{
A \code{\link[dMod]{datalist}} object with additional attributes
\code{dosing} (parameter transformation for the dosing events),
\code{max_scheme} (maximum number of doses of each input),
\code{catNames}, \code{covNames}, \code{regressorNames} (Covariate/Regression parameters in the data set),
\code{keep} (All columns of the dataset which are kept in the condition.grid, including catNames, covNames),
\code{forcings} (data.frame to specify forcings)
}
\description{
Old name: read_IQRdata
}
\author{
Daniel Lill
}
\keyword{internal}
