% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data_classes_dataER_AE.R
\name{createAEdata_IQRdataGENERAL}
\alias{createAEdata_IQRdataGENERAL}
\title{Creates an initial AE analysis dataset based on a general dataset}
\usage{
createAEdata_IQRdataGENERAL(
  data,
  minGrade = 1,
  FLAGkeepHighestGradeEarliestTime = FALSE,
  addCols = NULL
)
}
\arguments{
\item{data}{Data in the general dataset format, containing adverse event information
as defined in the general dataset specification (https://iqrtools.intiquan.com/doc/book/GenDatFormat.html)}

\item{minGrade}{Minimum grade of AEs to consider. Example: If minGrade=3 all AEs with grades below 3 are excluded.}

\item{FLAGkeepHighestGradeEarliestTime}{logical. It TRUE then an AENAME that appears more than once within
the same subject will only be kept once. Either highest AEGRADE or (if same grade) earliest occurrence.}

\item{addCols}{Character vector with names of columns to add in addition. By default only covariates in the GDF will be
included on top of stanard columns.}
}
\value{
IQRaedataER, IQRdataER object.
}
\description{
All AEs in the GDF will be extracted. Dosing and other observation
records are removed. Columns needed for the AE analysis will be kept.
Among them the covariates and other general information.
For each individual in which a particular AE did not appear, a 0 AEGRADE,
AESER, AEDRUGREL, and AE will be set in addition to AECENS=1. For all AEs
that were recorded in the GDF (and which need to have AEGRADE>1) AECENS=0
will be set. TIME for censored AEs (AECENS=1) will be determined as the TIME
of the last record present for an individual in the GDF. No exposure metrics will be added by
this function. A "PLACEBO" column is added to the dataset. If already
present then it is overwritten. PLACEBO is defined by 1) no doses in subject
or 2) all doses of 0 amount.
}
\seealso{
Other IQRdataER: 
\code{\link{addLabel_IQRaedataER}()},
\code{\link{exportXPT_IQRaedataER}()},
\code{\link{export_IQRaedataER}()},
\code{\link{load_IQRaedataER}()},
\code{\link{plotCorCat_IQRdataER}()},
\code{\link{plotCorCovCat_IQRdataER}()},
\code{\link{plotCorCov_IQRdataER}()},
\code{\link{plotIndivAE_IQRdataGENERAL}()},
\code{\link{print.IQRaedataER}()},
\code{\link{summaryCat_IQRdataER}()},
\code{\link{summaryCov_IQRdataER}()},
\code{\link{summaryN_IQRaedataER}()},
\code{\link{summary_IQRaedataER}()}
}
\concept{IQRdataER}
