% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/eventtable_tools.R
\name{create_IQReventTable}
\alias{create_IQReventTable}
\title{Creates an IQReventTable based on IQR dosing and individual parameters}
\usage{
create_IQReventTable(
  dosing,
  indivData,
  regression = NULL,
  abs0inputs = NULL,
  abs0Tk0param = NULL
)
}
\arguments{
\item{dosing}{IQRdosing object or list of doing objects for each individual in indivData}

\item{indivData}{data.frame with individual parameters (requires ID column)}

\item{regression}{character vector with regression names. If NULL (default) all columns of indivData but "ID"
will be used.}

\item{abs0inputs}{numeric vector with numbers of inputs (ADM) that are of type
ABSORPTION0. If this argument is set also abs0Tk0param needs to be defined}

\item{abs0Tk0param}{character vector with names of regression parameters that
should be used as 0-order infusion time (by updating TINF). The regression
parameters for these values are kept in the event table. Ordering has to be
as in abs0inputs}
}
\description{
Simulations with sim_IQRmodel of populations are faster if an IQReventTable
object is provided, defining the individual dosing scenarios and parameters.
To simplify the construction of an IQReventTable object, this function here
can be used. The same IQRdosing object will be applied to all subjects or for each subject a IQRdosing in a list.
Individual subjects parameters are provided as a data.frame with an ID column containing a numerical subject identifier.
}
\seealso{
Other Simulation: 
\code{\link{IQRdosing}()},
\code{\link{IQReventTable}()},
\code{\link{create_IQReventData}()},
\code{\link{extract_IQRdosing}()},
\code{\link{is_IQRdosing}()},
\code{\link{is_IQReventTable}()},
\code{\link{is_IQRsimresMulti}()},
\code{\link{is_IQRsimres}()},
\code{\link{plot.IQRsimresMulti}()},
\code{\link{plot.IQRsimres}()},
\code{\link{print.IQRdosing}()},
\code{\link{print.IQReventTable}()},
\code{\link{print.IQRsimresMulti}()},
\code{\link{print.IQRsimres}()},
\code{\link{rbind_IQRdosing}()},
\code{\link{sim_IQRmodel}()}
}
\author{
Henning Schmidt, IntiQuan
}
\concept{Simulation}
