% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/optimaldesign_classes_poped.R
\name{evaluate_IQRpopEDdb}
\alias{evaluate_IQRpopEDdb}
\title{Evaluate IQRpopEDdb Object}
\usage{
evaluate_IQRpopEDdb(db, loq = NULL, loq_method = 1)
}
\arguments{
\item{db}{\link{IQRpopEDdb} object.}

\item{loq}{LLOQ value. Defaults to NULL (not given)}

\item{loq_method}{Numerical value (1 or 2) to choose LLOQ handling method. 1 (default): D6 and 2: D2 from Vong et al. 2012 (www.page-meeting.org/?abstract=2578)}
}
\value{
List with \code{ofv} (objective function value), \code{fim} (Fisher Information Matrix),
\code{rse} (relative standard error), \code{se} (standard error) and \code{D} (D optimality criterion
D = log(det(fim)))
}
\description{
Evaluate the Fisher Information Matrix (FIM), standard errors, and D optimality criterion
associated with the design stored in an IQRpopEDdb object.
}
\seealso{
Other Optimal Experiment Design: 
\code{\link{IQRpopEDdb}()},
\code{\link{sim_IQRpopEDdb}()}
}
\concept{Optimal Experiment Design}
