% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data_classes_dataER_AE.R
\name{exportXPT_IQRaedataER}
\alias{exportXPT_IQRaedataER}
\title{Export IQRaedataER object as XPT file}
\usage{
exportXPT_IQRaedataER(data, filename = NULL, addColLabels = NULL)
}
\arguments{
\item{data}{IQRaedataER object}

\item{filename}{Filename of the XPT file to create (not more than 8 characters without extension)}

\item{addColLabels}{List with named elements. Names are column names and
the value of an element is the label. If defining addColLabels for columns that
are already handled automatically, the provided labels will overwrite the automatic ones.
Example: \code{addColLabels <- list(IXGDF="Other label",NEWCCOL="Label for NEWCOL")}}
}
\description{
An IQRaedataER object can be exported to an SAS XPT file. Most columns
can be handled automatically. For columns that the user has added additionally,
labels can be provided with the addColLabels input argument.
}
\seealso{
Other IQRdataER: 
\code{\link{addLabel_IQRaedataER}()},
\code{\link{createAEdata_IQRdataGENERAL}()},
\code{\link{export_IQRaedataER}()},
\code{\link{load_IQRaedataER}()},
\code{\link{plotCorCat_IQRdataER}()},
\code{\link{plotCorCovCat_IQRdataER}()},
\code{\link{plotCorCov_IQRdataER}()},
\code{\link{plotIndivAE_IQRdataGENERAL}()},
\code{\link{print.IQRaedataER}()},
\code{\link{summaryCat_IQRdataER}()},
\code{\link{summaryCov_IQRdataER}()},
\code{\link{summaryN_IQRaedataER}()},
\code{\link{summary_IQRaedataER}()}

Other Submission package: 
\code{\link{IQRoutputDEFINE}()},
\code{\link{IQRoutputXPT}()},
\code{\link{addLabel_IQRaedataER}()},
\code{\link{addLabel_IQRdataGENERAL}()},
\code{\link{createSubmissionPack}()},
\code{\link{exportDEFINE_IQRaedataER}()},
\code{\link{exportDEFINE_IQRdataGENERAL}()},
\code{\link{exportDEFINEpdf_IQRdataGENERAL}()},
\code{\link{getModelSpecification}()},
\code{\link{getProgramSpecification}()}
}
\concept{IQRdataER}
\concept{Submission package}
