% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/nlme_param_sampling.R
\name{export_GPF}
\alias{export_GPF}
\title{Export a GPF to and XLS file}
\usage{
export_GPF(GPF, filename)
}
\arguments{
\item{GPF}{\link{GPF}}

\item{filename}{file.path to XLS file- Directory will be created if not existing}
}
\value{
The \link{GPF} with updated filename
}
\description{
Ensures proper handling of colnames, rownames and NA in the respecitve sheets
}
\examples{
\dontrun{
xlsfile <- system.file("examples/GPFExamples/xls2_ExponentialDecay.xlsx", package = "IQRtools")
GPF <- load_GPF(xlsfile)
export_GPF(GPF, tempfile(fileext = ".xlsx"))
}
}
\seealso{
\href{https://iqrtools.intiquan.com/doc/book/GPF.html}{General Parameter Format}

Other GPF: 
\code{\link{GPF}()},
\code{\link{addIIVCov_toGPF}()},
\code{\link{combineGPF}()},
\code{\link{generate_GPFFromIQRnlmeEst}()},
\code{\link{generate_GPFFromIQRnlmeProject}()},
\code{\link{generate_GPFFromProjectInfoList}()},
\code{\link{generate_GPFFromProjectInfo}()},
\code{\link{imputeTYPEcol_GPF}()},
\code{\link{load_GPF}()},
\code{\link{read_GPFFromCSV}()},
\code{\link{read_GPFFromXLS}()},
\code{\link{sample_GPF}()},
\code{\link{select_FromGPF}()}
}
\author{
Daniel Lill (IntiQuan)
}
\concept{GPF}
