% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data_classes_dataER_AE.R
\name{export_IQRaedataER}
\alias{export_IQRaedataER}
\title{Exports an IQRaedataER object}
\usage{
export_IQRaedataER(
  data,
  filename = NULL,
  FLAGxpt = FALSE,
  FLAGdefine = TRUE,
  addColLabels = NULL
)
}
\arguments{
\item{data}{IQRaedataER object}

\item{filename}{Filename of the data file to create (not more than 8 characters without extension - if FLAGxpt=TRUE)}

\item{FLAGxpt}{If TRUE then a SAS XPT file will be generated additionally}

\item{FLAGdefine}{If TRUE then a "filename"_define.rmd file will be generated additionally. The syntax
of this file is in the IQReport markdown syntax and allows human readbility. The IQReport
software can subsequently be used to convert this file to Microsoft WORD, allowing further
editing and saving as a PDF file.}

\item{addColLabels}{List with named elements. Names are column names and
the value of an element is the label. If defining addColLabels for columns that
are already handled automatically, the provided labels will overwrite the automatic ones.
Example: \code{addColLabels <- list(IXGDF="Other label",NEWCCOL="Label for NEWCOL")}.
This information is needed only for XPT and define file generation}
}
\description{
This function exports an IQRaedataER object as CSV dataset. There are several
options. On request (and in addition to the CSV) file an XPT file can be
exported. A define file in IQReport rmd syntax will be generated as well on request.
Meta information that is stored as attributes in the IQRaedataER object will
be stored in a separate attributes text file (filename.atr). The exported dataset will contain any
columns that are present in the data input argument.
}
\seealso{
Other IQRdataER: 
\code{\link{addLabel_IQRaedataER}()},
\code{\link{createAEdata_IQRdataGENERAL}()},
\code{\link{exportXPT_IQRaedataER}()},
\code{\link{load_IQRaedataER}()},
\code{\link{plotCorCat_IQRdataER}()},
\code{\link{plotCorCovCat_IQRdataER}()},
\code{\link{plotCorCov_IQRdataER}()},
\code{\link{plotIndivAE_IQRdataGENERAL}()},
\code{\link{print.IQRaedataER}()},
\code{\link{summaryCat_IQRdataER}()},
\code{\link{summaryCov_IQRdataER}()},
\code{\link{summaryN_IQRaedataER}()},
\code{\link{summary_IQRaedataER}()}
}
\concept{IQRdataER}
