% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/general_classes_IQRmodel_model2txt.R
\name{export_IQRmodel}
\alias{export_IQRmodel}
\title{Export of an IQRmodel object}
\usage{
export_IQRmodel(model, filename = NULL, FLAGbc = FALSE)
}
\arguments{
\item{model}{IQRmodel object}

\item{filename}{Path with filename to export the model. If it is NULL then the
model text will only be returned}

\item{FLAGbc}{Flag for the use of the biochemical notation if TRUE}
}
\value{
None
}
\description{
Export an IQRmodel to ODE based format or to a biochamical reaction
based format. The extension of the filename is in both cases "*.txt".
IMPORTANT: If BC notation used then the underlying key assumption is that all
Reaction rates in the model are in amount/time units!!
}
\seealso{
Other IQRmodel: 
\code{\link{IQRmodel}()},
\code{\link{addOutputs_IQRmodel}()},
\code{\link{addRelations_IQRmodel}()},
\code{\link{exportSBML_IQRmodel}()},
\code{\link{exportVariant_IQRmodel}()},
\code{\link{getPars_IQRmodel}()},
\code{\link{hasCcodeFunctions_IQRmodel}()},
\code{\link{hasInitialAssignments_IQRmodel}()},
\code{\link{importSBML_IQRmodel}()},
\code{\link{importVariant_IQRmodel}()},
\code{\link{is_IQRmodel}()},
\code{\link{new_IQRmodel}()},
\code{\link{print.IQRmodel}()},
\code{\link{print.IQRsensitivity}()},
\code{\link{regenerate_IQRmodel}()},
\code{\link{replaceTerms_IQRmodel}()},
\code{\link{sensitivity_IQRmodel}()},
\code{\link{setParameters_IQRmodel}()},
\code{\link{setPars_IQRmodel}()},
\code{\link{sim_IQRmodel}()},
\code{\link{simbio_CSV2namedVector}()},
\code{\link{simbio_updateParamIC_IQRmodel}()},
\code{\link{stoichiometry_IQRmodel}()},
\code{\link{strReplace_IQRmodel}()}
}
\concept{IQRmodel}
