% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/nlme_classes_IQRnlmeData.R
\name{export_IQRnlmeData}
\alias{export_IQRnlmeData}
\title{Export function for IQRnlmeData object}
\usage{
export_IQRnlmeData(data, filename)
}
\arguments{
\item{data}{IQRnlmeData object}

\item{filename}{Additional unused arguments}
}
\description{
Export an IQRnlmeData object to a CSV file that is suitable for NONMEM
NA and NaN, etc. values are replace by "." and quotes are not used.
}
\details{
If the compliance mode is on (.COMPLIANCE_MODE is set to TRUE) then this function
also generates a compliance log file (only if filename is provided).
The name of the generated compliance log file is the same name as the text file name
but with appended ".log". The extension for the exported text file will be kept
unchanged in the exported log file name. In order for the log file generation to
work the global variable "COMPLIANCE_MODE_SCRIPT_NAME" needs to be defined by the user
and in each R script set to the name of the script.
}
\seealso{
Other IQRnlmeData: 
\code{\link{IQRcalcTAD}()},
\code{\link{IQRexpandADDLII}()},
\code{\link{IQRsysData}()},
\code{\link{date2dateday_IQRdataProgramming}()},
\code{\link{date2datetime_IQRdataProgramming}()},
\code{\link{date2time_IQRdataProgramming}()},
\code{\link{getLabels_dataframe}()},
\code{\link{is_IQRnlmeData}()},
\code{\link{plot.IQRnlmeData}()},
\code{\link{print.IQRnlmeData}()},
\code{\link{removeCommata_dataframe}()},
\code{\link{unlabel_dataframe}()}
}
\concept{IQRnlmeData}
