% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/eventtable_tools.R
\name{extract_IQRdosing}
\alias{extract_IQRdosing}
\title{Function to extract IQRdosing from modeling data set.
A list of IQRdosing objects is returned containing each individual or each unique dosing.}
\usage{
extract_IQRdosing(data, FLAGunique = FALSE, TIMEcol = "TIME")
}
\arguments{
\item{data}{NLME, sysfit or general dataset containing dosing records (TIME, EVID, ADM, AMT, ADDL, II, RATE, TINF) for
individuals (ID)}

\item{FLAGunique}{If FALSE (default) the dosing for each subject will be returned as list with
the subject identifiers (ID) as names.
If TRUE only unique dosings will be returned as unnamed list.}

\item{TIMEcol}{Column in the dataset to be used to define dosing times. Defaults to 'TIME'.
Using NT instead should be considered if FLAGunique is set to TRUE.}
}
\description{
Function to extract IQRdosing from modeling data set.
A list of IQRdosing objects is returned containing each individual or each unique dosing.
}
\seealso{
Other Simulation: 
\code{\link{IQRdosing}()},
\code{\link{IQReventTable}()},
\code{\link{create_IQReventData}()},
\code{\link{create_IQReventTable}()},
\code{\link{is_IQRdosing}()},
\code{\link{is_IQReventTable}()},
\code{\link{is_IQRsimresMulti}()},
\code{\link{is_IQRsimres}()},
\code{\link{plot.IQRsimresMulti}()},
\code{\link{plot.IQRsimres}()},
\code{\link{print.IQRdosing}()},
\code{\link{print.IQReventTable}()},
\code{\link{print.IQRsimresMulti}()},
\code{\link{print.IQRsimres}()},
\code{\link{rbind_IQRdosing}()},
\code{\link{sim_IQRmodel}()}
}
\concept{Simulation}
