% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/general_auxiliaries.R
\name{gen_aux_version}
\alias{gen_aux_version}
\title{Generate aux_version string for script-based analyses with IQR Tools}
\usage{
gen_aux_version(
  pkgName = "IQRtools",
  automode = TRUE,
  exactVersion = TRUE,
  IQdesktop = TRUE,
  Rversion = TRUE,
  isRopen = TRUE,
  OS = TRUE
)
}
\arguments{
\item{pkgName}{The name of the package for which a certain version is required}

\item{automode}{Logical. Automatically determine which fields to return. If on
IQdesktop, only IQdesktop is returned otherwise exactVerion, Rversion, isRopen
and OS are returned.}

\item{exactVersion}{Logical. Create the "exactVersion" field. Default is TRUE. Only used if automode = FALSE.}

\item{IQdesktop}{Logical. Create the "IQdesktop" field. Default is TRUE. Only used if automode = FALSE.}

\item{Rversion}{Logical. Create the "Rversion" field. Default is TRUE. Only used if automode = FALSE.}

\item{isRopen}{Logical. Create the "isRopen" field. Default is FALSE. Only used if automode = FALSE.}

\item{OS}{Logical. Create the "OS" field. Default is FALSE. Only used if automode = FALSE.}
}
\value{
Character string following the notation of \url{aux_version}.
}
\description{
The function creates an "aux_version()" character string to be used in
the analysis script.
}
\details{
Analyses conducted according to the IntiQuan guidelines are required to contain
an \code{aux_version()} statement indicating the version if IQRtools used and stating
details of the development environment such as the IQdesktop version, R version, etc..
See \link{aux_version} for more details.
}
\seealso{
Other Auxiliary: 
\code{\link{IQRloadCSVdata}()},
\code{\link{IQRsaveCSVdata}()},
\code{\link{and}()},
\code{\link{aux_explodePC}()},
\code{\link{aux_explode}()},
\code{\link{aux_fileparts}()},
\code{\link{aux_fileread}()},
\code{\link{aux_filewrite}()},
\code{\link{aux_getRelPath}()},
\code{\link{aux_mkdir}()},
\code{\link{aux_na_locf}()},
\code{\link{aux_postFillChar}()},
\code{\link{aux_preFillChar}()},
\code{\link{aux_quantilenumber}()},
\code{\link{aux_rmdir}()},
\code{\link{aux_simplifypath}()},
\code{\link{aux_splitVectorEqualPieces}()},
\code{\link{aux_strFindAll}()},
\code{\link{aux_strrep}()},
\code{\link{aux_strtrim}()},
\code{\link{aux_unlevel}()},
\code{\link{aux_version}()},
\code{\link{calcAICBIC}()},
\code{\link{clusterX}()},
\code{\link{compare_IQRmodel_IQRsysModel_simulation}()},
\code{\link{fit_EmaxModel}()},
\code{\link{format_GUM}()},
\code{\link{geocv}()},
\code{\link{geomean}()},
\code{\link{geosd}()},
\code{\link{ge}()},
\code{\link{ginv}()},
\code{\link{gt}()},
\code{\link{interp0}()},
\code{\link{interp1}()},
\code{\link{interpcs}()},
\code{\link{inv_logit}()},
\code{\link{le}()},
\code{\link{logit}()},
\code{\link{lt}()},
\code{\link{mod}()},
\code{\link{mvrnorm}()},
\code{\link{or}()},
\code{\link{piecewise}()},
\code{\link{progressBar}()},
\code{\link{run_silent_IQR}()},
\code{\link{stopIQR}()},
\code{\link{tempdirIQR}()},
\code{\link{tempfileIQR}()},
\code{\link{warningIQR}()}
}
\author{
Daniel Kaschek, IntiQuan
}
\concept{Auxiliary}
