% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/nlme_param_sampling.R
\name{generate_GPFFromIQRnlmeProject}
\alias{generate_GPFFromIQRnlmeProject}
\title{Generate GPF from IQRnlmeProject of IQRsysProject}
\usage{
generate_GPFFromIQRnlmeProject(projectPath, filename = NULL)
}
\arguments{
\item{projectPath}{file.path to an \link{IQRnlmeProject} or \link{IQRnlmeProject}}

\item{filename}{file.path to write GPF to}
}
\value{
\link{GPF}
}
\description{
Generate GPF from IQRnlmeProject of IQRsysProject
}
\examples{
\dontrun{
projPath <- system.file("examples/GPFExamples/project3_Epo", package = "IQRtools")
xls_fromProject <- generate_GPFFromIQRnlmeProject(projPath)
}
}
\seealso{
\href{https://iqrtools.intiquan.com/doc/book/GPF.html}{General Parameter Format}

Other Parameter sampling: 
\code{\link{calcIndParamValues}()},
\code{\link{calcTypicalIndParamValues}()},
\code{\link{combineGPF}()},
\code{\link{generate_GPFFromIQRnlmeEst}()},
\code{\link{generate_GPFFromProjectInfoList}()},
\code{\link{generate_GPFFromProjectInfo}()},
\code{\link{getCorMatrixUncertainty}()},
\code{\link{getCovMatrixIIV}()},
\code{\link{getCovMatrixUncertainty}()},
\code{\link{getNamesAllParameters}()},
\code{\link{getNamesCovariateParameters}()},
\code{\link{getNamesCovariates}()},
\code{\link{getNamesErrorParameters}()},
\code{\link{getNamesIIVCorrParameters}()},
\code{\link{getNamesIIVParameters}()},
\code{\link{getNamesModelParameters}()},
\code{\link{getParamEstimates}()},
\code{\link{getParamTransformationTypes}()},
\code{\link{imputeTYPEcol_GPF}()},
\code{\link{is_GPF}()},
\code{\link{is_IQRnlmeParamSpec}()},
\code{\link{read_GPFFromCSV}()},
\code{\link{read_GPFFromXLS}()},
\code{\link{sampleIDs}()},
\code{\link{sampleIndParamValues}()},
\code{\link{sampleParamFromUncertainty}()},
\code{\link{sampleRandomEffects}()},
\code{\link{sample_GPF}()},
\code{\link{select_FromGPF}()},
\code{\link{specifyParamSampling}()},
\code{\link{transformParamToNormal}()},
\code{\link{untransformParamFromNormal}()}

Other GPF: 
\code{\link{GPF}()},
\code{\link{addIIVCov_toGPF}()},
\code{\link{combineGPF}()},
\code{\link{export_GPF}()},
\code{\link{generate_GPFFromIQRnlmeEst}()},
\code{\link{generate_GPFFromProjectInfoList}()},
\code{\link{generate_GPFFromProjectInfo}()},
\code{\link{imputeTYPEcol_GPF}()},
\code{\link{load_GPF}()},
\code{\link{read_GPFFromCSV}()},
\code{\link{read_GPFFromXLS}()},
\code{\link{sample_GPF}()},
\code{\link{select_FromGPF}()}
}
\author{
Daniel Lill, Daniel Kaschek (IntiQuan)
}
\concept{GPF}
\concept{Parameter sampling}
