% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/nlme_param_sampling.R
\name{generate_GPFfromIQRmodel}
\alias{generate_GPFfromIQRmodel}
\title{Generate a GPF with the default model parameters}
\usage{
generate_GPFfromIQRmodel(model, filename = NULL)
}
\arguments{
\item{model}{An \code{\link[=IQRmodel]{IQRmodel()}}}

\item{filename}{File to write the GPF to}
}
\value{
\code{\link[=GPF]{GPF()}}
}
\description{
Generate a GPF with the default model parameters
}
\examples{
\dontrun{
m <- IQRmodel(system.file("examples/GPFExamples/model_1cpt_linear_abs1.txt", package = "IQRtools"))

# load into R
generate_GPFfromIQRmodel(m)

# write to file
xlsname <- "EXAMPLEGPF.xlsx"
generate_GPFfromIQRmodel(m, xlsname)
unlink(xlsname)
}
}
\seealso{
\href{https://iqrtools.intiquan.com/doc/book/GPF.html}{General Parameter Format}
}
\author{
Daniel Lill (daniel.lill@intiquan.com)
}
\keyword{internal}
