% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/general_auxiliaries.R
\name{getErrorMessage}
\alias{getErrorMessage}
\title{Return the error message of a try-error object or if object is a vector and
\code{FLAGrecursive} is \code{TRUE},
return a concatenated character string of the try-error members in the object.}
\usage{
getErrorMessage(object, FLAGrecursive = TRUE)
}
\arguments{
\item{object}{an R object.}

\item{FLAGrecursive}{logical (default \code{TRUE}) relevant only if
\code{object} is a vector. If \code{TRUE} and \code{object} is a vector,
the first-level members of \code{object} are checked for being try-errors and,
if yes, their character string representations are concatenated and returned
as a character string.}
}
\value{
a character string. An empty character string is returned if neither
object nor any of its members (if object is a vector) is a try-error.
}
\description{
Return the error message of a try-error object or if object is a vector and
\code{FLAGrecursive} is \code{TRUE},
return a concatenated character string of the try-error members in the object.
}
\author{
Venelin Mitov
}
\keyword{internal}
