% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/estimation_classes_modelSpec.R
\name{getModelSpec_IQRnlmeProject}
\alias{getModelSpec_IQRnlmeProject}
\title{Create model specification based on existing NLME project}
\usage{
getModelSpec_IQRnlmeProject(
  project,
  estimateSetting = c("initial", "final", "final_fixed"),
  setCOVreferences = TRUE,
  handlePrior = c("remove", "keep", "update")
)
}
\arguments{
\item{project}{path to NLME project}

\item{estimateSetting}{character determining whether initial values are set to previous initial
values ("initial") or to final estimates ("final"). In the latter case they also can be fixed ("final_fixed")}

\item{setCOVreferences}{flag whether to set the covariate references to the ones used before}

\item{handlePrior}{character determining how to handle prior settings:
"remove": all fields related to the prior are removed (default)
"keep": all prior fields are kept as is
"update": prior is set according to estimation results from NLME project}
}
\value{
model specification as intput to IQRnlmeEst
}
\description{
Create model specification based on existing NLME project
}
\keyword{internal}
