% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/compliance_submissionPackage.R
\name{getModelSpecification}
\alias{getModelSpecification}
\title{Default specifications for models copied to submission package}
\usage{
getModelSpecification(modelList)
}
\arguments{
\item{modelList}{Named list of paths to NLME models}
}
\value{
data frame with one line per script to be included and default settings
}
\description{
Default specifications for models copied to submission package
}
\examples{
\dontrun{ specmodels <- getModelSpecification(list(finalPK = "../Output/FINALMODELS/MODEL42",
                                                   finalPD = "../Output/FINALMODELS/MODEL99")) }
}
\seealso{
Other Output: 
\code{\link{IQRinitCompliance}()},
\code{\link{IQRoutputCSV}()},
\code{\link{IQRoutputDEFINE}()},
\code{\link{IQRoutputFigure}()},
\code{\link{IQRoutputFile}()},
\code{\link{IQRoutputPDFend}()},
\code{\link{IQRoutputPDFstart}()},
\code{\link{IQRoutputPDF}()},
\code{\link{IQRoutputPNG}()},
\code{\link{IQRoutputRDS}()},
\code{\link{IQRoutputTable}()},
\code{\link{IQRoutputValueTable}()},
\code{\link{IQRoutputXPT}()},
\code{\link{createSubmissionPack}()},
\code{\link{getProgramSpecification}()},
\code{\link{import_IQRdataOriginal}()},
\code{\link{is_enabled_complianceMode}()},
\code{\link{is_enabled_rdsMode}()},
\code{\link{packageR_IQRtools}()},
\code{\link{print.IQRoutputTable}()},
\code{\link{read_IQRoutputTable}()},
\code{\link{text_IQRoutputTable}()}

Other Submission package: 
\code{\link{IQRoutputDEFINE}()},
\code{\link{IQRoutputXPT}()},
\code{\link{addLabel_IQRaedataER}()},
\code{\link{addLabel_IQRdataGENERAL}()},
\code{\link{createSubmissionPack}()},
\code{\link{exportDEFINE_IQRaedataER}()},
\code{\link{exportDEFINE_IQRdataGENERAL}()},
\code{\link{exportDEFINEpdf_IQRdataGENERAL}()},
\code{\link{exportXPT_IQRaedataER}()},
\code{\link{getProgramSpecification}()}
}
\author{
Anne Kuemmel
}
\concept{Output}
\concept{Submission package}
