% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/nlme_param_sampling.R
\name{getNamesAllParameters}
\alias{getNamesAllParameters}
\title{Get the names of all parameters in IQRnlmeParamSpec object.}
\usage{
getNamesAllParameters(obj)
}
\arguments{
\item{obj}{a filename (character string) denoting the path to a GPF
file, or a GPF object, or an IQRnlmeParamSpec object.}
}
\value{
a character vector.
}
\description{
"All parameters" means:
\enumerate{
\item model parameters (see \code{\link{getNamesModelParameters}});
\item IIV parameters (see \code{\link{getNamesIIVParameters}});
\item IIVCorr parameters (see \code{\link{getNamesIIVCorrParameters}});
\item Covaraite parameters (see \code{\link{getNamesCovariateParameters}});
\item Error parameters (see \code{\link{getNamesErrorParameters}});
}
}
\seealso{
\href{https://iqrtools.intiquan.com/doc/book/paramsampling.html}{Random sampling of NLME model parameters}

\href{https://iqrtools.intiquan.com/doc/book/GPF.html}{General Parameter Format}

Other Parameter sampling: 
\code{\link{calcIndParamValues}()},
\code{\link{calcTypicalIndParamValues}()},
\code{\link{combineGPF}()},
\code{\link{generate_GPFFromIQRnlmeEst}()},
\code{\link{generate_GPFFromIQRnlmeProject}()},
\code{\link{generate_GPFFromProjectInfoList}()},
\code{\link{generate_GPFFromProjectInfo}()},
\code{\link{getCorMatrixUncertainty}()},
\code{\link{getCovMatrixIIV}()},
\code{\link{getCovMatrixUncertainty}()},
\code{\link{getNamesCovariateParameters}()},
\code{\link{getNamesCovariates}()},
\code{\link{getNamesErrorParameters}()},
\code{\link{getNamesIIVCorrParameters}()},
\code{\link{getNamesIIVParameters}()},
\code{\link{getNamesModelParameters}()},
\code{\link{getParamEstimates}()},
\code{\link{getParamTransformationTypes}()},
\code{\link{imputeTYPEcol_GPF}()},
\code{\link{is_GPF}()},
\code{\link{is_IQRnlmeParamSpec}()},
\code{\link{read_GPFFromCSV}()},
\code{\link{read_GPFFromXLS}()},
\code{\link{sampleIDs}()},
\code{\link{sampleIndParamValues}()},
\code{\link{sampleParamFromUncertainty}()},
\code{\link{sampleRandomEffects}()},
\code{\link{sample_GPF}()},
\code{\link{select_FromGPF}()},
\code{\link{specifyParamSampling}()},
\code{\link{transformParamToNormal}()},
\code{\link{untransformParamFromNormal}()}
}
\author{
Venelin Mitov, IntiQuan
}
\concept{Parameter sampling}
\keyword{internal}
