% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/nlme_param_sampling.R
\name{getNamesCovariates}
\alias{getNamesCovariates}
\title{Get the names of the covariates in IQRnlmeParamSpec object}
\usage{
getNamesCovariates(obj, FLAGunique = TRUE, FLAGparamNames = !FLAGunique)
}
\arguments{
\item{obj}{a filename (character string) denoting the path to a GPF
file, or a GPF object, or an IQRnlmeParamSpec object.}

\item{FLAGunique}{logical (default TRUE) indicating if a vector of unique parameter names should be returned.}

\item{FLAGparamNames}{logical (default !FLAGunique). If TRUE and FLAGunique is FALSE, then the returned character
vector is named with the corresponding names of the parameters affected by each covariate. This argument is
meaningless if FLAGunique is TRUE.}
}
\value{
a character vector. If \code{FLAGunique} is set to FALSE the vector contains the names of
the covariates in the order of their corresponding covariate parameters (betas) in the
estimates sheet of the GPF-file. If FLAGparamNames is TRUE and FLAGunique is FALSE, then the returned vector
is named with the names of the corresponding model parameters.
}
\description{
Get the names of the covariates in IQRnlmeParamSpec object
}
\seealso{
\href{https://iqrtools.intiquan.com/doc/book/paramsampling.html}{Random sampling of NLME model parameters}

\href{https://iqrtools.intiquan.com/doc/book/GPF.html}{General Parameter Format}

Other Parameter sampling: 
\code{\link{calcIndParamValues}()},
\code{\link{calcTypicalIndParamValues}()},
\code{\link{combineGPF}()},
\code{\link{generate_GPFFromIQRnlmeEst}()},
\code{\link{generate_GPFFromIQRnlmeProject}()},
\code{\link{generate_GPFFromProjectInfoList}()},
\code{\link{generate_GPFFromProjectInfo}()},
\code{\link{getCorMatrixUncertainty}()},
\code{\link{getCovMatrixIIV}()},
\code{\link{getCovMatrixUncertainty}()},
\code{\link{getNamesAllParameters}()},
\code{\link{getNamesCovariateParameters}()},
\code{\link{getNamesErrorParameters}()},
\code{\link{getNamesIIVCorrParameters}()},
\code{\link{getNamesIIVParameters}()},
\code{\link{getNamesModelParameters}()},
\code{\link{getParamEstimates}()},
\code{\link{getParamTransformationTypes}()},
\code{\link{imputeTYPEcol_GPF}()},
\code{\link{is_GPF}()},
\code{\link{is_IQRnlmeParamSpec}()},
\code{\link{read_GPFFromCSV}()},
\code{\link{read_GPFFromXLS}()},
\code{\link{sampleIDs}()},
\code{\link{sampleIndParamValues}()},
\code{\link{sampleParamFromUncertainty}()},
\code{\link{sampleRandomEffects}()},
\code{\link{sample_GPF}()},
\code{\link{select_FromGPF}()},
\code{\link{specifyParamSampling}()},
\code{\link{transformParamToNormal}()},
\code{\link{untransformParamFromNormal}()}
}
\author{
Venelin Mitov, IntiQuan
}
\concept{Parameter sampling}
\keyword{internal}
