% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/qsp_functions_IQRmodel.R
\name{getPars_IQRmodel}
\alias{getPars_IQRmodel}
\title{Get parameter vector from an IQRmodel}
\usage{
getPars_IQRmodel(model, ..., parameters = NULL, FLAGverbose = TRUE)
}
\arguments{
\item{model}{\link{IQRmodel} object}

\item{...}{single parameter names as characters}

\item{parameters}{vector of parameter names (alternative to ...)}

\item{FLAGverbose}{Logical. Print parameters table to console?}
}
\value{
Named numeric vector of requested parameters.
}
\description{
Return all parameters or specific parameters from IQRmodel object.
The related function to set parameters is \link{setPars_IQRmodel}.
Parameters that are set by initial assignments are ignored and not
returned.
}
\seealso{
Other IQRmodel: 
\code{\link{IQRmodel}()},
\code{\link{addOutputs_IQRmodel}()},
\code{\link{addRelations_IQRmodel}()},
\code{\link{exportSBML_IQRmodel}()},
\code{\link{exportVariant_IQRmodel}()},
\code{\link{export_IQRmodel}()},
\code{\link{hasCcodeFunctions_IQRmodel}()},
\code{\link{hasInitialAssignments_IQRmodel}()},
\code{\link{importSBML_IQRmodel}()},
\code{\link{importVariant_IQRmodel}()},
\code{\link{is_IQRmodel}()},
\code{\link{new_IQRmodel}()},
\code{\link{print.IQRmodel}()},
\code{\link{print.IQRsensitivity}()},
\code{\link{regenerate_IQRmodel}()},
\code{\link{replaceTerms_IQRmodel}()},
\code{\link{sensitivity_IQRmodel}()},
\code{\link{setParameters_IQRmodel}()},
\code{\link{setPars_IQRmodel}()},
\code{\link{sim_IQRmodel}()},
\code{\link{simbio_CSV2namedVector}()},
\code{\link{simbio_updateParamIC_IQRmodel}()},
\code{\link{stoichiometry_IQRmodel}()},
\code{\link{strReplace_IQRmodel}()}
}
\author{
Daniel Kaschek, IntiQuan GmbH

Henning Schmidt, IntiQuan GmbH
}
\concept{IQRmodel}
