% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/compliance_submissionPackage.R
\name{getProgramSpecification}
\alias{getProgramSpecification}
\title{Default specifications for programs (scripts) to be
copied to submission package}
\usage{
getProgramSpecification(
  folder,
  extensions = c(".R", ".txt", ".r"),
  recursive = TRUE
)
}
\arguments{
\item{folder}{Folder containing scripts to be included in submission}

\item{extensions}{Character vector with file extension. Only files with
corresponding extension will be included}

\item{recursive}{Logical whether files in subfolders should also be included}
}
\value{
data frame with one line per script to be included and default settings
}
\description{
Helper function for creation of submission package. Creates a specification data frame
that can be used as input to \link{createSubmissionPack} with default settings.
For each file in the given folders defaults are set in the returned specification
data frame (i.e., subfolder is according to subfolder of the given folder,
no description is given, and the Type is 'program')
}
\seealso{
Other Output: 
\code{\link{IQRinitCompliance}()},
\code{\link{IQRoutputCSV}()},
\code{\link{IQRoutputDEFINE}()},
\code{\link{IQRoutputFigure}()},
\code{\link{IQRoutputFile}()},
\code{\link{IQRoutputPDFend}()},
\code{\link{IQRoutputPDFstart}()},
\code{\link{IQRoutputPDF}()},
\code{\link{IQRoutputPNG}()},
\code{\link{IQRoutputRDS}()},
\code{\link{IQRoutputTable}()},
\code{\link{IQRoutputValueTable}()},
\code{\link{IQRoutputXPT}()},
\code{\link{createSubmissionPack}()},
\code{\link{getModelSpecification}()},
\code{\link{import_IQRdataOriginal}()},
\code{\link{is_enabled_complianceMode}()},
\code{\link{is_enabled_rdsMode}()},
\code{\link{packageR_IQRtools}()},
\code{\link{print.IQRoutputTable}()},
\code{\link{read_IQRoutputTable}()},
\code{\link{text_IQRoutputTable}()}

Other Submission package: 
\code{\link{IQRoutputDEFINE}()},
\code{\link{IQRoutputXPT}()},
\code{\link{addLabel_IQRaedataER}()},
\code{\link{addLabel_IQRdataGENERAL}()},
\code{\link{createSubmissionPack}()},
\code{\link{exportDEFINE_IQRaedataER}()},
\code{\link{exportDEFINE_IQRdataGENERAL}()},
\code{\link{exportDEFINEpdf_IQRdataGENERAL}()},
\code{\link{exportXPT_IQRaedataER}()},
\code{\link{getModelSpecification}()}
}
\author{
Anne Kuemmel
}
\concept{Output}
\concept{Submission package}
