% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/nlme_classes_IQRnlmeProject.R
\name{halflife_IQRnlmeProject}
\alias{halflife_IQRnlmeProject}
\title{Compute the terminal half-life from the jacobian matrix}
\usage{
halflife_IQRnlmeProject(project, pars = NULL, states = NULL)
}
\arguments{
\item{project}{The path to an IQRnlme project.}

\item{pars}{Optional named numeric vector of parameters or data frame with parameter values for multiple subjects.
If \code{NULL}, the population parameters from \link{getPopParameters_IQRnlmeProject} will be used.}

\item{states}{Optional character vector of state names. If provided, the jacobian for the restricted set of states will be used.
That can be used to remove "dummy" states, e.g. AUC, which are not involved in the dynamics of the system
but are rather an output of the system leading to 0 eigenvalues.}
}
\value{
Data frame of half-lives. Contains an ID column if the pars argument contained in ID column.
}
\description{
Compute the terminal half-life from the jacobian matrix
}
\keyword{internal}
