% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/general_classes_IQRmodel.R
\name{importSBML_IQRmodel}
\alias{importSBML_IQRmodel}
\title{Imports an SBML model}
\usage{
importSBML_IQRmodel(
  input,
  FLAGexportBC = FALSE,
  FLAGcheckComplete = FALSE,
  FLAGuseSBMLnames = FALSE,
  FLAGremoveSBMLinfo = FALSE,
  filename = NULL,
  FLAGchangeINPUT = FALSE
)
}
\arguments{
\item{input}{Path to the SBML XML file}

\item{FLAGexportBC}{Logical. Imports model in biochemical notation}

\item{FLAGcheckComplete}{Logical. Checks if SBML model is completely defined}

\item{FLAGuseSBMLnames}{Logical. Use SBML names instead of IDs ... if not unique then make unique}

\item{FLAGremoveSBMLinfo}{Logical. Remove additional information}

\item{filename}{If provided, then converted SBML model will be saved as this file. Otherwise it will be attempted to
convert it to an IQRmodel (which might fail if not all defined in the SBML model)}

\item{FLAGchangeINPUT}{Will revert the IN_PUT to INPUT. If you want to import a model for simulation
then use TRUE. If for processing and changing of the model use better FALSE. INPUT* is a reserved word
in IQR Tools for handling dosing inputs. Upon export and import of SBML INPUT elements are always
represented in ODEs, which might not allow to recognize a state as a specie. Exchanging INPUT to IN_PUT
avoids this and the SBML layout is nice. Prior to simulation of doses IN_PUT elements need to be exchanged
to INPUT. This is what setting this flag to TRUE does!}
}
\value{
IQRmodel imported from SBML
}
\description{
Requires the presence of IQRsbml (http://www.intiquan.com/iqrsbml).
}
\seealso{
Other IQRmodel: 
\code{\link{IQRmodel}()},
\code{\link{addOutputs_IQRmodel}()},
\code{\link{addRelations_IQRmodel}()},
\code{\link{exportSBML_IQRmodel}()},
\code{\link{exportVariant_IQRmodel}()},
\code{\link{export_IQRmodel}()},
\code{\link{getPars_IQRmodel}()},
\code{\link{hasCcodeFunctions_IQRmodel}()},
\code{\link{hasInitialAssignments_IQRmodel}()},
\code{\link{importVariant_IQRmodel}()},
\code{\link{is_IQRmodel}()},
\code{\link{new_IQRmodel}()},
\code{\link{print.IQRmodel}()},
\code{\link{print.IQRsensitivity}()},
\code{\link{regenerate_IQRmodel}()},
\code{\link{replaceTerms_IQRmodel}()},
\code{\link{sensitivity_IQRmodel}()},
\code{\link{setParameters_IQRmodel}()},
\code{\link{setPars_IQRmodel}()},
\code{\link{sim_IQRmodel}()},
\code{\link{simbio_CSV2namedVector}()},
\code{\link{simbio_updateParamIC_IQRmodel}()},
\code{\link{stoichiometry_IQRmodel}()},
\code{\link{strReplace_IQRmodel}()}
}
\concept{IQRmodel}
