% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/dMod_classes_IQRsysData.R
\name{import_IQRsysData}
\alias{import_IQRsysData}
\title{Convert data to an IQRsysData object}
\usage{
import_IQRsysData(
  data,
  CONDITION = NULL,
  ID = "ID",
  TIME = "TIME",
  DV = "DV",
  YTYPE = "YTYPE",
  covNames = NULL,
  catNames = NULL,
  regressorNames = NULL
)
}
\arguments{
\item{data}{data frame or character pointing to a data file.}

\item{CONDITION}{name of the condution column in data. Can be the same as ID.}

\item{ID}{name of the ID column in data (ID = identifier).}

\item{TIME}{name of the TIME column in data.}

\item{DV}{name of the DV column in data (DV = data value).}

\item{YTYPE}{name of the YTYPE column in data (YTYPE = 0 for dosing and 1:n for OUTPUT1 to OUTPUTn)}

\item{covNames}{vector with names of continuous covariates (matching column names in data).}

\item{catNames}{vector with names of categorical covariates (matching column names in data).}

\item{regressorNames}{vector with names of regressors (matching column names in data).}
}
\value{
Data frame with all required columns for QSP modeling.
}
\description{
Convert data to an IQRsysData object
}
\seealso{
Other QSP: 
\code{\link{IQRsysEst}()},
\code{\link{IQRsysModel}()},
\code{\link{IQRsysProject}()},
\code{\link{addOutputs_IQRmodel}()},
\code{\link{addRelations_IQRmodel}()},
\code{\link{as_IQRsysEst}()},
\code{\link{as_IQRsysProjectMulti}()},
\code{\link{as_IQRsysProject}()},
\code{\link{comparePars_IQRsysModel}()},
\code{\link{duplicate_IQRsysProject}()},
\code{\link{exportVariant_IQRmodel}()},
\code{\link{exportVirtualSubjects_IQRnlmeProject}()},
\code{\link{export_IQRsysData}()},
\code{\link{getDosing_IQRsysModel}()},
\code{\link{getEmpiricalETACovarianceMatrix_IQRsysProject}()},
\code{\link{getOptTrace_IQRsysProject}()},
\code{\link{getPars_IQRoptTrace}()},
\code{\link{getPars_IQRsysModel}()},
\code{\link{getPrediction_IQRsysModel}()},
\code{\link{hasrun_IQRsysProject}()},
\code{\link{importVariant_IQRmodel}()},
\code{\link{is_IQRsysEst}()},
\code{\link{is_IQRsysModel}()},
\code{\link{is_IQRsysProjectMulti}()},
\code{\link{is_IQRsysProject}()},
\code{\link{load_IQRsysProject}()},
\code{\link{modelSpec_IQRsysEst}()},
\code{\link{model_IQRsysModel}()},
\code{\link{offsetTIME_IQRsysData}()},
\code{\link{plotDVPRED_IQRsysModel}()},
\code{\link{plotFit_IQRsysModel}()},
\code{\link{plotPars_IQRsysModel}()},
\code{\link{plotPred_IQRsysModel}()},
\code{\link{plotProfile_IQRsysModel}()},
\code{\link{plotWRES_IQRsysModel}()},
\code{\link{plotWaterfall_IQRsysModel}()},
\code{\link{plot_IQRoptTrace}()},
\code{\link{plot_IQRsysModel}()},
\code{\link{print.IQRsensitivity}()},
\code{\link{print.IQRsysProject}()},
\code{\link{profile_IQRsysModel}()},
\code{\link{replaceTerms_IQRmodel}()},
\code{\link{run_IQRsysProjectMulti}()},
\code{\link{run_IQRsysProject}()},
\code{\link{sample_IQRsysModel}()},
\code{\link{sensitivity_IQRmodel}()},
\code{\link{setPars_IQRsysModel}()},
\code{\link{sim_IQRsysModel}()},
\code{\link{sim_IQRvirtualSubjects}()},
\code{\link{simbio_CSV2namedVector}()},
\code{\link{simbio_updateParamIC_IQRmodel}()},
\code{\link{spmIIV_IQRsysProject}()},
\code{\link{spm_IQRsysProject}()},
\code{\link{switchOpt_IQRsysModel}()},
\code{\link{tablePars_IQRsysModel}()}
}
\concept{QSP}
