% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/nlme_param_sampling.R
\name{load_GPF}
\alias{load_GPF}
\title{Load a GPF from different sources}
\usage{
load_GPF(x)
}
\arguments{
\item{x}{One of
\enumerate{
\item GPF,
\item data.frame(estimates...),
\item IQRnlmeProject or
\item file.path
}}
}
\value{
\link{GPF}
}
\description{
Load a GPF from different sources
}
\examples{
\dontrun{
xlsfile <- system.file("examples/GPFExamples/xls2_ExponentialDecay.xlsx", package = "IQRtools")
# 1. From file
xls_fromFile <- load_GPF(xlsfile)
est <- xls_fromFile$estimates
# 2. Supply "estimates" only
xls_fromEst <- load_GPF(est)
# 3. From xls (just returns the object, think of it as as.GPF)
xls_fromGPF <- load_GPF(xls_fromEst)
# 4. From IQRnlmeProject
projPath <- system.file("examples/GPFExamples/project3_Epo", package = "IQRtools")
xls_fromProject <- load_GPF(projPath)
}
}
\seealso{
\href{https://iqrtools.intiquan.com/doc/book/GPF.html}{General Parameter Format}

Other GPF: 
\code{\link{GPF}()},
\code{\link{addIIVCov_toGPF}()},
\code{\link{combineGPF}()},
\code{\link{export_GPF}()},
\code{\link{generate_GPFFromIQRnlmeEst}()},
\code{\link{generate_GPFFromIQRnlmeProject}()},
\code{\link{generate_GPFFromProjectInfoList}()},
\code{\link{generate_GPFFromProjectInfo}()},
\code{\link{imputeTYPEcol_GPF}()},
\code{\link{read_GPFFromCSV}()},
\code{\link{read_GPFFromXLS}()},
\code{\link{sample_GPF}()},
\code{\link{select_FromGPF}()}
}
\author{
Daniel Lill (IntiQuan)
}
\concept{GPF}
