% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/general_classes_IQRmodel.R
\name{piecewise}
\alias{piecewise}
\title{Piecewise function}
\usage{
piecewise(...)
}
\arguments{
\item{...}{Value1, condition1, value2, condition2, value3, ..., valueN}
}
\value{
Value1 if condition1 is true, valueN-1 if condition N-1 is true,
valueN if no condition is true. If several conditions are true the value for the
first condition that is true is returned.
}
\description{
Mainly present to allow the use of it in IQRmodels.
Assumes that x is defined outside of it.
}
\examples{
# Make sure to use gt instead of ">" in IQRmodels!

# fails because x is not defined:
# rm(x)
# piecewise(0, gt(x,0), 1, le(x,0), 1)

# works:
x <- 1
piecewise(0, lt(x, 0), 1, ge(x, 0), 1)
x <- -1
piecewise(0, lt(x, 0), 1, ge(x, 0), 1)
}
\seealso{
Other Auxiliary: 
\code{\link{IQRloadCSVdata}()},
\code{\link{IQRsaveCSVdata}()},
\code{\link{and}()},
\code{\link{aux_explodePC}()},
\code{\link{aux_explode}()},
\code{\link{aux_fileparts}()},
\code{\link{aux_fileread}()},
\code{\link{aux_filewrite}()},
\code{\link{aux_getRelPath}()},
\code{\link{aux_mkdir}()},
\code{\link{aux_na_locf}()},
\code{\link{aux_postFillChar}()},
\code{\link{aux_preFillChar}()},
\code{\link{aux_quantilenumber}()},
\code{\link{aux_rmdir}()},
\code{\link{aux_simplifypath}()},
\code{\link{aux_splitVectorEqualPieces}()},
\code{\link{aux_strFindAll}()},
\code{\link{aux_strrep}()},
\code{\link{aux_strtrim}()},
\code{\link{aux_unlevel}()},
\code{\link{aux_version}()},
\code{\link{calcAICBIC}()},
\code{\link{clusterX}()},
\code{\link{compare_IQRmodel_IQRsysModel_simulation}()},
\code{\link{fit_EmaxModel}()},
\code{\link{format_GUM}()},
\code{\link{gen_aux_version}()},
\code{\link{geocv}()},
\code{\link{geomean}()},
\code{\link{geosd}()},
\code{\link{ge}()},
\code{\link{ginv}()},
\code{\link{gt}()},
\code{\link{interp0}()},
\code{\link{interp1}()},
\code{\link{interpcs}()},
\code{\link{inv_logit}()},
\code{\link{le}()},
\code{\link{logit}()},
\code{\link{lt}()},
\code{\link{mod}()},
\code{\link{mvrnorm}()},
\code{\link{or}()},
\code{\link{progressBar}()},
\code{\link{run_silent_IQR}()},
\code{\link{stopIQR}()},
\code{\link{tempdirIQR}()},
\code{\link{tempfileIQR}()},
\code{\link{warningIQR}()}

Other Allowed in IQRmodel: 
\code{\link{IQRmodel}()},
\code{\link{and}()},
\code{\link{ge}()},
\code{\link{gt}()},
\code{\link{interp0}()},
\code{\link{interp1}()},
\code{\link{interpcs}()},
\code{\link{le}()},
\code{\link{lt}()},
\code{\link{mod}()},
\code{\link{or}()}

Other Allowed in IQRmodel: 
\code{\link{IQRmodel}()},
\code{\link{and}()},
\code{\link{ge}()},
\code{\link{gt}()},
\code{\link{interp0}()},
\code{\link{interp1}()},
\code{\link{interpcs}()},
\code{\link{le}()},
\code{\link{lt}()},
\code{\link{mod}()},
\code{\link{or}()}
}
\concept{Allowed in IQRmodel}
\concept{Auxiliary}
