% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/general_classes_IQRsimres.R
\name{plot.IQRsimres}
\alias{plot.IQRsimres}
\title{Generic plot function for IQRsimres objects}
\usage{
\method{plot}{IQRsimres}(x, ..., scales = "free", facet = "wrap", legend = TRUE)
}
\arguments{
\item{x}{IQRsimres object}

\item{...}{Not used}

\item{scales}{The scales argument of facet_wrap or facet_grid,
i.e. "free", "fixed", "free_x" or "free_y"}

\item{facet}{Either "wrap" or "grid"}

\item{legend}{TRUE or FALSE - switches legend on or off. Legend based on
individual subject simulations (ID). Off always if one ID only and more than 10.}
}
\value{
A plot object of class ggplot
}
\description{
Generic plot function for IQRsimres objects
}
\seealso{
Other Simulation: 
\code{\link{IQRdosing}()},
\code{\link{IQReventTable}()},
\code{\link{create_IQReventData}()},
\code{\link{create_IQReventTable}()},
\code{\link{extract_IQRdosing}()},
\code{\link{is_IQRdosing}()},
\code{\link{is_IQReventTable}()},
\code{\link{is_IQRsimresMulti}()},
\code{\link{is_IQRsimres}()},
\code{\link{plot.IQRsimresMulti}()},
\code{\link{print.IQRdosing}()},
\code{\link{print.IQReventTable}()},
\code{\link{print.IQRsimresMulti}()},
\code{\link{print.IQRsimres}()},
\code{\link{rbind_IQRdosing}()},
\code{\link{sim_IQRmodel}()}
}
\concept{Simulation}
