% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data_classes_dataER.R
\name{plotCorCovCat_IQRdataER}
\alias{plotCorCovCat_IQRdataER}
\title{Plot correlation of continuous and categorical covariates in an IQRdataER/IQRaedataER object}
\usage{
plotCorCovCat_IQRdataER(
  data,
  covNames = NULL,
  catNames = NULL,
  scale = "linear",
  filename = NULL,
  fontSize = NULL,
  CORR_THRESHOLD = 0.3,
  FLAGreturnObject = ifelse(is.null(filename), TRUE, FALSE)
)
}
\arguments{
\item{data}{IQRdataER/IQRaedataER object}

\item{covNames}{Names (columns) of continuous covariates and other continuous columns to
include in graphical exploration. If NULL (default) all time-independent categorical covariates will be used.}

\item{catNames}{Names (columns) of categorical covariates and other categorical columns to
include in graphical exploration. If NULL (default) all time-independent categorical covariates will be used.}

\item{scale}{Defines whether to plot continuous covariates on linear or logarithmic scales:
Either "log", "linear" or named (covariate column names) vector of "log" and "linear" entries
for scaling coavariates differently.
Defaults to linear scale.}

\item{filename}{String for PDF file to print graphs to. If NULL (default) PDF is not produced.}

\item{fontSize}{Allows to provide font size information in case the automatic adjustment is not acceptable}

\item{CORR_THRESHOLD}{Threshold for correlation from which on color will be changed to red.}

\item{FLAGreturnObject}{Flag whether to return graph object or not (default).}
}
\description{
By default all time-independent covariates will be considered. The user
can define a subset or other columns to consider. If such columns are time-varying,
only the first recorded value will be used.
}
\seealso{
Other IQRdataER: 
\code{\link{addLabel_IQRaedataER}()},
\code{\link{createAEdata_IQRdataGENERAL}()},
\code{\link{exportXPT_IQRaedataER}()},
\code{\link{export_IQRaedataER}()},
\code{\link{load_IQRaedataER}()},
\code{\link{plotCorCat_IQRdataER}()},
\code{\link{plotCorCov_IQRdataER}()},
\code{\link{plotIndivAE_IQRdataGENERAL}()},
\code{\link{print.IQRaedataER}()},
\code{\link{summaryCat_IQRdataER}()},
\code{\link{summaryCov_IQRdataER}()},
\code{\link{summaryN_IQRaedataER}()},
\code{\link{summary_IQRaedataER}()}

Other IQRaedataER: 
\code{\link{contingency_IQRaedataER}()},
\code{\link{is_IQRaedataER}()},
\code{\link{plotCorCat_IQRdataER}()},
\code{\link{plotCorCov_IQRdataER}()},
\code{\link{plotcontcovAE_IQRaedataER}()},
\code{\link{summary.IQRaedataER}()},
\code{\link{summaryN_IQRaedataER}()},
\code{\link{summary_IQRaedataER}()}
}
\concept{IQRaedataER}
\concept{IQRdataER}
