% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/nlme_auxiliaries_plots.R
\name{plotGOF_IQRnlmeProject}
\alias{plotGOF_IQRnlmeProject}
\title{Create GOF plots for IQRnlmeProjects}
\usage{
plotGOF_IQRnlmeProject(
  projectPath,
  outputNr = 1,
  stratCov = NULL,
  filename = NULL,
  plotLog = TRUE,
  FLAGuseBLQinCalc = FALSE,
  DVPRED.MINMAXXY = NULL,
  RES.MINMAXY = NULL
)
}
\arguments{
\item{projectPath}{Path to the NLME project folder}

\item{outputNr}{Number of the output of the model to plot the GOF plots for}

\item{stratCov}{Character string with name of covariate to use for stratification}

\item{filename}{Name of file to export plots to (PDF)}

\item{plotLog}{Plotting on linear axes is always done. If this is set to TRUE then
in addition plots on log axes might be produced if the data allows (>0)}

\item{FLAGuseBLQinCalc}{Flag whether BLQ values should be used for
calculation of smoothing splines (Default: FALSE)}

\item{DVPRED.MINMAXXY}{Vector with 2 elements to be used as min and max values
for the X and Y axes in DV/PRED and DV/IPRED plots. If NULL then default settings
are used, plotting all data}

\item{RES.MINMAXY}{Vector with 2 elements to be used as min and max values for
the Y axis in residuals vs TIME, TAD and PRED and the X axis in the histogram
plots of the residuals. If NULL then default settings are used, plotting all data.}
}
\value{
List with ggplot2 objects (one per page). Including "plotData" attribute, containing the data that were plotted
}
\description{
Works for all interfaced NLME tools (NONMEM, MONOLIX, NLMIXR). If called
without a filename it will return the ggplot objects as a list. If called with filename
it will generate the PDF file at the given location. The data used for the
plot are returned as attr(,"plotData") in each list element.
}
\seealso{
Other IQRnlmeProject: 
\code{\link{IQRnlmeEst}()},
\code{\link{IQRnlmeProject}()},
\code{\link{addCovariateToModelSpec_IQRest}()},
\code{\link{addPar_modelSpec}()},
\code{\link{as_IQRnlmeProjectMulti}()},
\code{\link{as_IQRnlmeProject}()},
\code{\link{bootstrap_IQRnlmeProject}()},
\code{\link{compareModels_IQRnlmeProjectMulti}()},
\code{\link{convertETAINDIVPRED_IQRnlmeProject}()},
\code{\link{covariateEffect_IQRnlmeProject}()},
\code{\link{data_IQRest}()},
\code{\link{dosing_IQRest}()},
\code{\link{duplicate_IQRnlmeProject}()},
\code{\link{eigenvalues_IQRnlmeProject}()},
\code{\link{exportVirtualSubjects_IQRnlmeProject}()},
\code{\link{getData_IQRnlmeProject}()},
\code{\link{getETAs_IQRnlmeProject}()},
\code{\link{getEst_IQRnlmeProject}()},
\code{\link{getHeader_IQRnlmeProject}()},
\code{\link{getIndivParameters_IQRnlmeProject}()},
\code{\link{getIndivPredictions_IQRnlmeProject}()},
\code{\link{getModel_IQRnlmeProject}()},
\code{\link{getObsPred_IQRnlmeProject}()},
\code{\link{getPopParameters_IQRnlmeProject}()},
\code{\link{getResults_IQRnlmeProjectMulti}()},
\code{\link{getResults_IQRnlmeProject}()},
\code{\link{hasrun_IQRnlmeProjectMulti}()},
\code{\link{hasrun_IQRnlmeProject}()},
\code{\link{informationContent_IQRnlmeProject}()},
\code{\link{is_IQRnlmeEst}()},
\code{\link{is_IQRnlmeProjectMulti}()},
\code{\link{is_IQRnlmeProject}()},
\code{\link{is_MONOLIX_IQRnlmeProject}()},
\code{\link{is_NLMIXR_IQRnlmeProject}()},
\code{\link{is_NONMEM_IQRnlmeProject}()},
\code{\link{modelSpec_IQRest}()},
\code{\link{outlier_IQRnlmeProject}()},
\code{\link{plot.IQRnlmeProjectMulti}()},
\code{\link{plot.IQRnlmeProject}()},
\code{\link{plotBLQVPC_IQRdataVPC}()},
\code{\link{plotConvergence_IQRnlmeProject}()},
\code{\link{plotETACOV_IQRnlmeProject}()},
\code{\link{plotETA_IQRnlmeProject}()},
\code{\link{plotINDIVSIM_IQRnlmeProject}()},
\code{\link{plotINDIV_IQRnlmeProject}()},
\code{\link{plotVPC_IQRdataVPC}()},
\code{\link{pred_IQRnlmeProject}()},
\code{\link{print.IQRnlmeEst}()},
\code{\link{print.IQRnlmeProjectMulti}()},
\code{\link{print.IQRnlmeProject}()},
\code{\link{print_modelSpec}()},
\code{\link{run_IQRnlmeProjectMulti}()},
\code{\link{run_IQRnlmeProject}()},
\code{\link{sample_IQRnlmeProject}()},
\code{\link{scm_IQRnlmeProject}()},
\code{\link{summary.IQRnlmeProjectMulti}()},
\code{\link{summary.IQRnlmeProject}()},
\code{\link{summaryComments_IQRnlmeProjectMulti}()},
\code{\link{summaryCorrelations_IQRnlmeProjectMulti}()},
\code{\link{summaryCovariates_IQRnlmeProjectMulti}()},
\code{\link{summaryParameters_IQRnlmeProjectMulti}()},
\code{\link{vpc_IQRnlmeProject}()}
}
\concept{IQRnlmeProject}
