% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data_classes_dataER_AE.R
\name{plotIndivAE_IQRdataGENERAL}
\alias{plotIndivAE_IQRdataGENERAL}
\title{Plotting AE occurrences and dosing times for each individual}
\usage{
plotIndivAE_IQRdataGENERAL(
  data,
  filename = NULL,
  AENAMES = NULL,
  nrow = 4,
  shapesize = 3
)
}
\arguments{
\item{data}{Data frame ideally in general dataset format. Required columns: "USUBJID","AE","NAME","EVID","TIME","TIMEUNIT".}

\item{filename}{Name of the PDF file to export plots to. If not provided a list with ggplot elements is returned.}

\item{AENAMES}{String or vector or strings naming the AEs in the dataset to consider (NAME column). If not provided all AEs are shown.}

\item{nrow}{Number of individual subject plots per PDF page.}

\item{shapesize}{Size of the shape in the plot.}
}
\value{
If filename provided a PDF is exported. Otherwise a list with ggplot objects is returned.
}
\description{
For each individual for which at least one AE has occurred (AE=1) a plot is done
indicating the time of dose administrations and AE occurrence. This plot is
for data diagnostics once the GDF with AEs has been generated and should give an
idea if determination of different exposure metrics is reasonable (e.g. "is the
dosing history known well enough?"). Subjects who did not experience AEs are not
considered in the generated plot.
}
\seealso{
Other IQRdataER: 
\code{\link{addLabel_IQRaedataER}()},
\code{\link{createAEdata_IQRdataGENERAL}()},
\code{\link{exportXPT_IQRaedataER}()},
\code{\link{export_IQRaedataER}()},
\code{\link{load_IQRaedataER}()},
\code{\link{plotCorCat_IQRdataER}()},
\code{\link{plotCorCovCat_IQRdataER}()},
\code{\link{plotCorCov_IQRdataER}()},
\code{\link{print.IQRaedataER}()},
\code{\link{summaryCat_IQRdataER}()},
\code{\link{summaryCov_IQRdataER}()},
\code{\link{summaryN_IQRaedataER}()},
\code{\link{summary_IQRaedataER}()}

Other IQRdataGENERAL: 
\code{\link{addCatColumnAsText_IQRdataGENERAL}()}

Other IQRdataER: 
\code{\link{addLabel_IQRaedataER}()},
\code{\link{createAEdata_IQRdataGENERAL}()},
\code{\link{exportXPT_IQRaedataER}()},
\code{\link{export_IQRaedataER}()},
\code{\link{load_IQRaedataER}()},
\code{\link{plotCorCat_IQRdataER}()},
\code{\link{plotCorCovCat_IQRdataER}()},
\code{\link{plotCorCov_IQRdataER}()},
\code{\link{print.IQRaedataER}()},
\code{\link{summaryCat_IQRdataER}()},
\code{\link{summaryCov_IQRdataER}()},
\code{\link{summaryN_IQRaedataER}()},
\code{\link{summary_IQRaedataER}()}
}
\concept{IQRdataER}
\concept{IQRdataGENERAL}
