% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/nlme_classes_IQRtteProject.R
\name{plotVPC_IQRtteProject}
\alias{plotVPC_IQRtteProject}
\title{Plots the VPC for an IQRtteProject and joint models based on IQRnlmeProject}
\usage{
plotVPC_IQRtteProject(projectPath, logX = FALSE, logY = FALSE, filename = NULL)
}
\arguments{
\item{projectPath}{IQRtteProject object}

\item{logX}{Logical indicating if log X axis}

\item{logY}{Logical indicating if log Y axis}

\item{filename}{Character string with path/filename for PDF generation}
}
\value{
If filename provided the figure is stored as PDF. If not provided a ggplot2 object is returned
with the plotData as attribute
}
\description{
TTE projects are only supported for MONOLIX, so the MONOLIX generated output will be used
for plotting. The function works for both TTE projects generated with IQRtteProject and
for joint models that use the "event" output in the modelSpec.
}
\seealso{
Other IQRtteProject: 
\code{\link{IQRtteProject}()},
\code{\link{as_IQRtteProjectMulti}()},
\code{\link{as_IQRtteProject}()},
\code{\link{is_IQRtteProjectMulti}()},
\code{\link{is_IQRtteProject}()},
\code{\link{plot.IQRtteProject}()},
\code{\link{print.IQRtteProjectMulti}()},
\code{\link{print.IQRtteProject}()},
\code{\link{run_IQRtteProjectMulti}()},
\code{\link{run_IQRtteProject}()}

Other VPC: 
\code{\link{plotBLQVPC_IQRdataVPC}()},
\code{\link{plotVPC_IQRdataVPC}()},
\code{\link{vpc_IQRnlmeProject}()}
}
\concept{IQRtteProject}
\concept{VPC}
