% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/survival_tools_Cox.R
\name{plot_IQRcoxRegression}
\alias{plot_IQRcoxRegression}
\title{Plot some diagnostics for fitted Cox proportional hazard regression model}
\usage{
plot_IQRcoxRegression(
  fit,
  xlab = NULL,
  ylab = NULL,
  ci.level = 0.95,
  filename = NULL
)
}
\arguments{
\item{fit}{Fitted Cox proportional hazard regression model (coxph) or IQRlogisticFit object}

\item{xlab}{Label for the x-axis.}

\item{ylab}{Label for the y-axis.}

\item{ci.level}{confidence interval level (between 0 an 1, defaults to 0.95)}

\item{filename}{If given, PDF with plots}
}
\value{
List with ggplot2 objects if not printed to file. Attributes to the output argument
are the data that were used for plotting.
}
\description{
Plot some diagnostics for fitted Cox proportional hazard regression model
}
\seealso{
Other Survival analysis: 
\code{\link{IQRcoxRegression}()},
\code{\link{export_IQRcoxRegression}()},
\code{\link{import_IQRcoxRegression}()},
\code{\link{km_IQRsurvival}()},
\code{\link{summary_IQRcoxRegression}()}
}
\concept{Survival analysis}
