% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/logisticregression_tools.R
\name{plot_IQRlogistRegressFit}
\alias{plot_IQRlogistRegressFit}
\title{Plot predictions for fitted logistic regression model}
\usage{
plot_IQRlogistRegressFit(
  fit,
  refValues = NULL,
  IDcol = "ID",
  xlab = NULL,
  ylab = NULL,
  ci.level = 0.95,
  SIGNIF = 4,
  filename = NULL,
  residualType = "pearson"
)
}
\arguments{
\item{fit}{Fitted logistic regression model (glm) or IQRlogisticFit object}

\item{refValues}{Reference values to which predictors are fixed when plotting predictions along range for others.}

\item{IDcol}{Column name with individual subject identifiers (default: 'ID')}

\item{xlab}{Label for the x-axis.}

\item{ylab}{Label for the y-axis.}

\item{ci.level}{confidence interval level (between 0 an 1, defaults to 0.95)}

\item{SIGNIF}{Number of significant digits used for the displayed p-value.}

\item{filename}{If given, PDF with plots}

\item{residualType}{Type of residual used in residual diagnostic plots
(can be "pearson" (default), "working", "deviance, "response", partial)}
}
\value{
List with ggplot2 objects if not printed to file. Attributes to the output argument
are the data that were used for plotting.
}
\description{
Plot predictions for fitted logistic regression model
}
\seealso{
Other Logistic regression: 
\code{\link{IQRlogisticRegression}()},
\code{\link{export_IQRlogisticFit}()},
\code{\link{import_IQRlogisticFit}()},
\code{\link{modelEvaluation_IQRlogisticRegression}()},
\code{\link{simple_IQRlogisticRegression}()},
\code{\link{summary_IQRlogisticRegression}()}
}
\concept{Logistic regression}
