% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/dMod_classes_IQRsysModel.R
\name{plot_IQRsysModel}
\alias{plot_IQRsysModel}
\title{Plot model and data represented by IQRsysModel}
\usage{
plot_IQRsysModel(
  sysModel,
  time = NULL,
  log = NULL,
  FLAGpred = TRUE,
  FLAGdata = TRUE,
  FLAGerror = NULL,
  FLAGgroupCONDITION = FALSE,
  FLAGrmPredWithoutData = TRUE,
  FLAGmultipage = FALSE,
  multipage.nrow = 2,
  multipage.ncol = 2,
  states = NULL,
  conditions = NULL,
  IDs = NULL,
  group = "ID"
)
}
\arguments{
\item{sysModel}{\link{IQRsysModel} object}

\item{time}{numeric vector from which time range is computed. The plot is restricted
to this time frame.}

\item{log}{NULL or character "x" (log x-axis), "y" (log y-axis), or "xy" (log x- and y-axis).}

\item{FLAGpred}{logical, show model prediction}

\item{FLAGdata}{logical, show data}

\item{FLAGerror}{logical, show error bands and/or error bars. If NULL, FLAGerror is determined
automatically. The error bands cover +- 1 standard deviation of the residual error - or in other
words represent the 68.27\\\% CI.}

\item{FLAGgroupCONDITION}{TRUE: Group by condition. FALSE: group by ID}

\item{FLAGrmPredWithoutData}{logical, if TRUE (default) removes predictions if no data is available}

\item{FLAGmultipage}{logical, default is FALSE, produces multipage output if TRUE.}

\item{multipage.nrow}{number of rows for multipage output}

\item{multipage.ncol}{number of columns for multipage output}

\item{states}{character vector, the states to keep in the output.}

\item{conditions}{character vector, the conditions to keep in the output.}

\item{IDs}{integer vector, the IDs to keep in the output}

\item{group}{(deprecated - use groupCONDITION) what to show grouped in one panel, either "ID" (default) or "CONDITION"}
}
\description{
Plot model and data represented by IQRsysModel
}
\seealso{
Other QSP: 
\code{\link{IQRsysEst}()},
\code{\link{IQRsysModel}()},
\code{\link{IQRsysProject}()},
\code{\link{addOutputs_IQRmodel}()},
\code{\link{addRelations_IQRmodel}()},
\code{\link{as_IQRsysEst}()},
\code{\link{as_IQRsysProjectMulti}()},
\code{\link{as_IQRsysProject}()},
\code{\link{comparePars_IQRsysModel}()},
\code{\link{duplicate_IQRsysProject}()},
\code{\link{exportVariant_IQRmodel}()},
\code{\link{exportVirtualSubjects_IQRnlmeProject}()},
\code{\link{export_IQRsysData}()},
\code{\link{getDosing_IQRsysModel}()},
\code{\link{getEmpiricalETACovarianceMatrix_IQRsysProject}()},
\code{\link{getOptTrace_IQRsysProject}()},
\code{\link{getPars_IQRoptTrace}()},
\code{\link{getPars_IQRsysModel}()},
\code{\link{getPrediction_IQRsysModel}()},
\code{\link{hasrun_IQRsysProject}()},
\code{\link{importVariant_IQRmodel}()},
\code{\link{import_IQRsysData}()},
\code{\link{is_IQRsysEst}()},
\code{\link{is_IQRsysModel}()},
\code{\link{is_IQRsysProjectMulti}()},
\code{\link{is_IQRsysProject}()},
\code{\link{load_IQRsysProject}()},
\code{\link{modelSpec_IQRsysEst}()},
\code{\link{model_IQRsysModel}()},
\code{\link{offsetTIME_IQRsysData}()},
\code{\link{plotDVPRED_IQRsysModel}()},
\code{\link{plotFit_IQRsysModel}()},
\code{\link{plotPars_IQRsysModel}()},
\code{\link{plotPred_IQRsysModel}()},
\code{\link{plotProfile_IQRsysModel}()},
\code{\link{plotWRES_IQRsysModel}()},
\code{\link{plotWaterfall_IQRsysModel}()},
\code{\link{plot_IQRoptTrace}()},
\code{\link{print.IQRsensitivity}()},
\code{\link{print.IQRsysProject}()},
\code{\link{profile_IQRsysModel}()},
\code{\link{replaceTerms_IQRmodel}()},
\code{\link{run_IQRsysProjectMulti}()},
\code{\link{run_IQRsysProject}()},
\code{\link{sample_IQRsysModel}()},
\code{\link{sensitivity_IQRmodel}()},
\code{\link{setPars_IQRsysModel}()},
\code{\link{sim_IQRsysModel}()},
\code{\link{sim_IQRvirtualSubjects}()},
\code{\link{simbio_CSV2namedVector}()},
\code{\link{simbio_updateParamIC_IQRmodel}()},
\code{\link{spmIIV_IQRsysProject}()},
\code{\link{spm_IQRsysProject}()},
\code{\link{switchOpt_IQRsysModel}()},
\code{\link{tablePars_IQRsysModel}()}
}
\author{
Daniel Kaschek, IntiQuan
}
\concept{QSP}
