% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/general_classes_IQRmodel.R
\name{regenerate_IQRmodel}
\alias{regenerate_IQRmodel}
\title{Regeneration of the compiled code of an IQRmodel}
\usage{
regenerate_IQRmodel(model, FLAGsim = TRUE, FLAGsym = TRUE, sensParams = NULL)
}
\arguments{
\item{model}{IQRmodel object to regenerate}

\item{FLAGsim}{TRUE: the IQRmodel is prepared for simulation. This means that
all required simulation related functions will be generated and the model will
be compiled.}

\item{FLAGsym}{If set to FALSE then no symbolic information will be generated
for a model. If set to TRUE (default) then state jacobian, state/parameter,
output/state and output/parameter derivatives will attempted to be generated
symbolically and attached to the model if successful.}

\item{sensParams}{Vector with parameter names for which sensitivities can be
calculated for all state variables. This input argument is added here but
it can also be changed afterwards in other functions that need the sensitivities.}
}
\value{
The updated/regenerated IQRmodel object
}
\description{
Needed in case a model object has been saved and loaded again to ensure that
the model is compiled and executable. Also allows to set other properties.
Takes the model and regenerates the simulation functions,
including compilation and attempts to calculate the symbolic equations for
df/dx, df/dp, dg/dx, dg/dp.
Parameter names can be passed to indicate which parameters should be in scope
for sensitivity equations, symbolic, etc.
}
\seealso{
Other IQRmodel: 
\code{\link{IQRmodel}()},
\code{\link{addOutputs_IQRmodel}()},
\code{\link{addRelations_IQRmodel}()},
\code{\link{exportSBML_IQRmodel}()},
\code{\link{exportVariant_IQRmodel}()},
\code{\link{export_IQRmodel}()},
\code{\link{getPars_IQRmodel}()},
\code{\link{hasCcodeFunctions_IQRmodel}()},
\code{\link{hasInitialAssignments_IQRmodel}()},
\code{\link{importSBML_IQRmodel}()},
\code{\link{importVariant_IQRmodel}()},
\code{\link{is_IQRmodel}()},
\code{\link{new_IQRmodel}()},
\code{\link{print.IQRmodel}()},
\code{\link{print.IQRsensitivity}()},
\code{\link{replaceTerms_IQRmodel}()},
\code{\link{sensitivity_IQRmodel}()},
\code{\link{setParameters_IQRmodel}()},
\code{\link{setPars_IQRmodel}()},
\code{\link{sim_IQRmodel}()},
\code{\link{simbio_CSV2namedVector}()},
\code{\link{simbio_updateParamIC_IQRmodel}()},
\code{\link{stoichiometry_IQRmodel}()},
\code{\link{strReplace_IQRmodel}()}
}
\concept{IQRmodel}
