% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/general_classes_IQRmodel.R
\name{reload_DLLIQRmodel}
\alias{reload_DLLIQRmodel}
\title{Load the dll of an IQRmodel and attach the pointer}
\usage{
reload_DLLIQRmodel(model)
}
\arguments{
\item{model}{an IQRmodel}
}
\value{
the same model with updated attribute "address.IQRmodel"
}
\description{
For use in parallellization with \code{foreach}
}
\examples{
\dontrun{
ncores <- 2
cluster <- parallel::makeCluster(ncores, type = "FORK")
doParallel::registerDoParallel(cluster)
foreach(i = 1:2) \%dopar\% {
  model <- reload_DLLIQRmodel(model)
  IQRtools::sim_IQRmodel(model,
                         simtime = seq(0,1000),
                         FLAGoutputsOnly = FALSE,
                         dosingTable = IQRtools::IQRdosing(TIME = c(0,0),
                                                           ADM = c(1:2),
                                                           AMT = c(500, 400)))
}
parallel::stopCluster(cluster)
doParallel::stopImplicitCluster()
}
}
\keyword{internal}
