% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/general_classes_IQReventTable.R
\name{remove_input_overlap}
\alias{remove_input_overlap}
\title{Convert event data with overlapping dosing records to
event data with non-overlapping dosing records}
\usage{
remove_input_overlap(et)
}
\arguments{
\item{et}{data frame with dosing records for one individual (unique ID column)
and one input type (unique ADM columns) with columns ID, TIME, ADM, AMT, TINF
and potentially additional regressor columns}
}
\value{
data frame
}
\description{
Convert event data with overlapping dosing records to
event data with non-overlapping dosing records
}
\examples{
\dontrun{
et <- tribble(
  ~ID, ~TIME, ~ADM, ~AMT, ~TINF,
  1  , 0    , 1   , 1.5  , 1.5  ,
  1  , 1    , 1   , 4   , 2    ,
  1  , 2    , 1   , 0.2 , 0.5
) \%>\% as.data.frame()

et1 <- remove_input_overlap(et)
}
}
\keyword{internal}
