% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/nlme_classes_IQRnlmeProject_Multi.R
\name{run_IQRnlmeProjectMulti}
\alias{run_IQRnlmeProjectMulti}
\title{Runs an IQRnlmeProjectMulti object (each IQRnlmeProject within)}
\usage{
run_IQRnlmeProjectMulti(
  projectPath,
  pathname = NULL,
  ncores = 1,
  Nparallel = 1,
  FLAGrerun = FALSE,
  FLAGclean = TRUE,
  FLAGgof = TRUE,
  FLAGgofStratify = FALSE,
  FLAGremoveRESULTSORIG = FALSE
)
}
\arguments{
\item{projectPath}{An IQRnlmeProjectMulti object}

\item{pathname}{Path to which the summary result files are written.
If undefined the summary is not generated.}

\item{ncores}{Number of cores if use of parallelization of a single
model run.}

\item{Nparallel}{Number of models to run in parallel}

\item{FLAGrerun}{TRUE: Models will be rerun even if results already present.
FALSE: Models for which results are present will not be rerun.
This only impacts the "running" of the models. GoF plots will
still be generated. This allows for separation of running and
GoF plot generation.}

\item{FLAGclean}{TRUE: will remove unnecessary (NONMEM/NLMIXR) files}

\item{FLAGgof}{TRUE: Create GoF plots for all runs
FALSE: Do not create GoF plots.
NOTE THAT GoF plots are out of scope of WP3.}

\item{FLAGgofStratify}{TRUE: additional GoF plots stratified by covariates
in the dataset are produced. For continuous covariates
2 groups are selected (smaller than median and greater equal median).
FALSE: no stratification is done (faster).}

\item{FLAGremoveRESULTSORIG}{Logical. If TRUE then the RESULTSORIG folder will be removed.
this will save a considerable amount of space on disk.}
}
\value{
An IQRnlmeProjectMulti is returned.
}
\description{
With "running" is meant that it will run the parameter estimation in the
tool of choice (format of the IQRnlmeProjects in the IQRnlmeProjectMulti object).
}
\seealso{
Other IQRnlmeProject: 
\code{\link{IQRnlmeEst}()},
\code{\link{IQRnlmeProject}()},
\code{\link{addCovariateToModelSpec_IQRest}()},
\code{\link{addPar_modelSpec}()},
\code{\link{as_IQRnlmeProjectMulti}()},
\code{\link{as_IQRnlmeProject}()},
\code{\link{bootstrap_IQRnlmeProject}()},
\code{\link{compareModels_IQRnlmeProjectMulti}()},
\code{\link{convertETAINDIVPRED_IQRnlmeProject}()},
\code{\link{covariateEffect_IQRnlmeProject}()},
\code{\link{data_IQRest}()},
\code{\link{dosing_IQRest}()},
\code{\link{duplicate_IQRnlmeProject}()},
\code{\link{eigenvalues_IQRnlmeProject}()},
\code{\link{exportVirtualSubjects_IQRnlmeProject}()},
\code{\link{getData_IQRnlmeProject}()},
\code{\link{getETAs_IQRnlmeProject}()},
\code{\link{getEst_IQRnlmeProject}()},
\code{\link{getHeader_IQRnlmeProject}()},
\code{\link{getIndivParameters_IQRnlmeProject}()},
\code{\link{getIndivPredictions_IQRnlmeProject}()},
\code{\link{getModel_IQRnlmeProject}()},
\code{\link{getObsPred_IQRnlmeProject}()},
\code{\link{getPopParameters_IQRnlmeProject}()},
\code{\link{getResults_IQRnlmeProjectMulti}()},
\code{\link{getResults_IQRnlmeProject}()},
\code{\link{hasrun_IQRnlmeProjectMulti}()},
\code{\link{hasrun_IQRnlmeProject}()},
\code{\link{informationContent_IQRnlmeProject}()},
\code{\link{is_IQRnlmeEst}()},
\code{\link{is_IQRnlmeProjectMulti}()},
\code{\link{is_IQRnlmeProject}()},
\code{\link{is_MONOLIX_IQRnlmeProject}()},
\code{\link{is_NLMIXR_IQRnlmeProject}()},
\code{\link{is_NONMEM_IQRnlmeProject}()},
\code{\link{modelSpec_IQRest}()},
\code{\link{outlier_IQRnlmeProject}()},
\code{\link{plot.IQRnlmeProjectMulti}()},
\code{\link{plot.IQRnlmeProject}()},
\code{\link{plotBLQVPC_IQRdataVPC}()},
\code{\link{plotConvergence_IQRnlmeProject}()},
\code{\link{plotETACOV_IQRnlmeProject}()},
\code{\link{plotETA_IQRnlmeProject}()},
\code{\link{plotGOF_IQRnlmeProject}()},
\code{\link{plotINDIVSIM_IQRnlmeProject}()},
\code{\link{plotINDIV_IQRnlmeProject}()},
\code{\link{plotVPC_IQRdataVPC}()},
\code{\link{pred_IQRnlmeProject}()},
\code{\link{print.IQRnlmeEst}()},
\code{\link{print.IQRnlmeProjectMulti}()},
\code{\link{print.IQRnlmeProject}()},
\code{\link{print_modelSpec}()},
\code{\link{run_IQRnlmeProject}()},
\code{\link{sample_IQRnlmeProject}()},
\code{\link{scm_IQRnlmeProject}()},
\code{\link{summary.IQRnlmeProjectMulti}()},
\code{\link{summary.IQRnlmeProject}()},
\code{\link{summaryComments_IQRnlmeProjectMulti}()},
\code{\link{summaryCorrelations_IQRnlmeProjectMulti}()},
\code{\link{summaryCovariates_IQRnlmeProjectMulti}()},
\code{\link{summaryParameters_IQRnlmeProjectMulti}()},
\code{\link{vpc_IQRnlmeProject}()}
}
\concept{IQRnlmeProject}
