% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/dMod_classes_IQRsysProject.R
\name{run_IQRsysProject}
\alias{run_IQRsysProject}
\title{Runs an IQRsysProject}
\usage{
run_IQRsysProject(
  projectPath,
  ncores = 1,
  FLAGrequireConverged = TRUE,
  FLAGgof = TRUE,
  FLAGgofStratify = FALSE,
  FLAGclean = TRUE
)
}
\arguments{
\item{projectPath}{an IQRsys Project}

\item{ncores}{number of cores to use (uses mclapply -> only on Unix/Mac).
These are not the number of cores for a single fit but apply only to multi start
fitting runs. Parallelization of single runs needs to be defined during the generation
of an IQRsysProject!}

\item{FLAGrequireConverged}{(Default: TRUE) Require convergence of the best fit to continue.
If best fit is not converged, the project is saved directly after fitting and no plots are produced.}

\item{FLAGgof}{generate diagnostic plots}

\item{FLAGgofStratify}{additional GoF plots stratified by covariates in the dataset are produced.
For continuous covariates 2 groups are selected (smaller than median and greater equal than median).}

\item{FLAGclean}{Logical. If TRUE then the files RESULTSORIG/project_result.sysfit and project_model.sysfit
will be deleted from the project folder. This saves considerable space but does not allow anymore to load the sysmodel.}
}
\value{
dMod.frame including the original project and all the results. In addition, results are written to disc.
}
\description{
Runs an IQRsysProject
}
\seealso{
Other QSP: 
\code{\link{IQRsysEst}()},
\code{\link{IQRsysModel}()},
\code{\link{IQRsysProject}()},
\code{\link{addOutputs_IQRmodel}()},
\code{\link{addRelations_IQRmodel}()},
\code{\link{as_IQRsysEst}()},
\code{\link{as_IQRsysProjectMulti}()},
\code{\link{as_IQRsysProject}()},
\code{\link{comparePars_IQRsysModel}()},
\code{\link{duplicate_IQRsysProject}()},
\code{\link{exportVariant_IQRmodel}()},
\code{\link{exportVirtualSubjects_IQRnlmeProject}()},
\code{\link{export_IQRsysData}()},
\code{\link{getDosing_IQRsysModel}()},
\code{\link{getEmpiricalETACovarianceMatrix_IQRsysProject}()},
\code{\link{getOptTrace_IQRsysProject}()},
\code{\link{getPars_IQRoptTrace}()},
\code{\link{getPars_IQRsysModel}()},
\code{\link{getPrediction_IQRsysModel}()},
\code{\link{hasrun_IQRsysProject}()},
\code{\link{importVariant_IQRmodel}()},
\code{\link{import_IQRsysData}()},
\code{\link{is_IQRsysEst}()},
\code{\link{is_IQRsysModel}()},
\code{\link{is_IQRsysProjectMulti}()},
\code{\link{is_IQRsysProject}()},
\code{\link{load_IQRsysProject}()},
\code{\link{modelSpec_IQRsysEst}()},
\code{\link{model_IQRsysModel}()},
\code{\link{offsetTIME_IQRsysData}()},
\code{\link{plotDVPRED_IQRsysModel}()},
\code{\link{plotFit_IQRsysModel}()},
\code{\link{plotPars_IQRsysModel}()},
\code{\link{plotPred_IQRsysModel}()},
\code{\link{plotProfile_IQRsysModel}()},
\code{\link{plotWRES_IQRsysModel}()},
\code{\link{plotWaterfall_IQRsysModel}()},
\code{\link{plot_IQRoptTrace}()},
\code{\link{plot_IQRsysModel}()},
\code{\link{print.IQRsensitivity}()},
\code{\link{print.IQRsysProject}()},
\code{\link{profile_IQRsysModel}()},
\code{\link{replaceTerms_IQRmodel}()},
\code{\link{run_IQRsysProjectMulti}()},
\code{\link{sample_IQRsysModel}()},
\code{\link{sensitivity_IQRmodel}()},
\code{\link{setPars_IQRsysModel}()},
\code{\link{sim_IQRsysModel}()},
\code{\link{sim_IQRvirtualSubjects}()},
\code{\link{simbio_CSV2namedVector}()},
\code{\link{simbio_updateParamIC_IQRmodel}()},
\code{\link{spmIIV_IQRsysProject}()},
\code{\link{spm_IQRsysProject}()},
\code{\link{switchOpt_IQRsysModel}()},
\code{\link{tablePars_IQRsysModel}()}
}
\author{
Daniel Lill
}
\concept{QSP}
