% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/dMod_classes_IQRsysProject.R
\name{run_IQRsysProjectMulti}
\alias{run_IQRsysProjectMulti}
\title{Runs an IQRsysProjectMulti object (each IQRsysProject within)}
\usage{
run_IQRsysProjectMulti(
  projectPath,
  ncores = 1,
  Nparallel = 1,
  FLAGgof = TRUE,
  FLAGgofStratify = FALSE,
  FLAGrequireConverged = FALSE
)
}
\arguments{
\item{projectPath}{An IQRsysProjectMulti object}

\item{ncores}{Number of cores if use of parallelization of a single
model run - for sysmodels this applies to multi-start runs.}

\item{Nparallel}{Number of models to run in parallel}

\item{FLAGgof}{TRUE: Create GoF plots for all runs
FALSE: Do not create GoF plots.
NOTE THAT GoF plots are out of scope of WP3.}

\item{FLAGgofStratify}{TRUE: additional GoF plots stratified by covariates
in the dataset are produced. For continuous covariates
2 groups are selected (smaller than median and greater equal median).
FALSE: no stratification is done (faster).}

\item{FLAGrequireConverged}{(Default: TRUE) Require convergence of the best fit to continue.
If best fit is not converged, the project is saved directly after fitting
and no plots are produced.}
}
\value{
An IQRsysProjectMulti is returned.
}
\description{
With "running" is meant that it will run the parameter estimation for IQRsysProjects.
}
\seealso{
Other QSP: 
\code{\link{IQRsysEst}()},
\code{\link{IQRsysModel}()},
\code{\link{IQRsysProject}()},
\code{\link{addOutputs_IQRmodel}()},
\code{\link{addRelations_IQRmodel}()},
\code{\link{as_IQRsysEst}()},
\code{\link{as_IQRsysProjectMulti}()},
\code{\link{as_IQRsysProject}()},
\code{\link{comparePars_IQRsysModel}()},
\code{\link{duplicate_IQRsysProject}()},
\code{\link{exportVariant_IQRmodel}()},
\code{\link{exportVirtualSubjects_IQRnlmeProject}()},
\code{\link{export_IQRsysData}()},
\code{\link{getDosing_IQRsysModel}()},
\code{\link{getEmpiricalETACovarianceMatrix_IQRsysProject}()},
\code{\link{getOptTrace_IQRsysProject}()},
\code{\link{getPars_IQRoptTrace}()},
\code{\link{getPars_IQRsysModel}()},
\code{\link{getPrediction_IQRsysModel}()},
\code{\link{hasrun_IQRsysProject}()},
\code{\link{importVariant_IQRmodel}()},
\code{\link{import_IQRsysData}()},
\code{\link{is_IQRsysEst}()},
\code{\link{is_IQRsysModel}()},
\code{\link{is_IQRsysProjectMulti}()},
\code{\link{is_IQRsysProject}()},
\code{\link{load_IQRsysProject}()},
\code{\link{modelSpec_IQRsysEst}()},
\code{\link{model_IQRsysModel}()},
\code{\link{offsetTIME_IQRsysData}()},
\code{\link{plotDVPRED_IQRsysModel}()},
\code{\link{plotFit_IQRsysModel}()},
\code{\link{plotPars_IQRsysModel}()},
\code{\link{plotPred_IQRsysModel}()},
\code{\link{plotProfile_IQRsysModel}()},
\code{\link{plotWRES_IQRsysModel}()},
\code{\link{plotWaterfall_IQRsysModel}()},
\code{\link{plot_IQRoptTrace}()},
\code{\link{plot_IQRsysModel}()},
\code{\link{print.IQRsensitivity}()},
\code{\link{print.IQRsysProject}()},
\code{\link{profile_IQRsysModel}()},
\code{\link{replaceTerms_IQRmodel}()},
\code{\link{run_IQRsysProject}()},
\code{\link{sample_IQRsysModel}()},
\code{\link{sensitivity_IQRmodel}()},
\code{\link{setPars_IQRsysModel}()},
\code{\link{sim_IQRsysModel}()},
\code{\link{sim_IQRvirtualSubjects}()},
\code{\link{simbio_CSV2namedVector}()},
\code{\link{simbio_updateParamIC_IQRmodel}()},
\code{\link{spmIIV_IQRsysProject}()},
\code{\link{spm_IQRsysProject}()},
\code{\link{switchOpt_IQRsysModel}()},
\code{\link{tablePars_IQRsysModel}()}
}
\author{
Henning Schmidt, IntiQuan
}
\concept{QSP}
