% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/nlme_classes_IQRtteProject.R
\name{run_IQRtteProject}
\alias{run_IQRtteProject}
\title{Runs an IQRtteProject}
\usage{
run_IQRtteProject(projectPath, ncores = 1, FLAGrerun = FALSE, FLAGgof = TRUE)
}
\arguments{
\item{projectPath}{An IQRtteProject or a character string with the path
to an IQRtteProject folder.}

\item{ncores}{Number of cores if use of parallelization of a single
model run}

\item{FLAGrerun}{TRUE: Models will be rerun even if results already present.
FALSE: Models for which results are present will not be rerun.
This only impacts the "running" of the models. GoF plots will
still be generated. This allows for separation of running and
GoF plot generation.}

\item{FLAGgof}{TRUE: Create GoF plots for all runs
FALSE: Do not create GoF plots.}
}
\value{
An IQRtteProject is returned.
}
\description{
With "running" is meant that it will run the parameter estimation in the
tool of choice (format of the IQRtteProject).
}
\seealso{
Other IQRtteProject: 
\code{\link{IQRtteProject}()},
\code{\link{as_IQRtteProjectMulti}()},
\code{\link{as_IQRtteProject}()},
\code{\link{is_IQRtteProjectMulti}()},
\code{\link{is_IQRtteProject}()},
\code{\link{plot.IQRtteProject}()},
\code{\link{plotVPC_IQRtteProject}()},
\code{\link{print.IQRtteProjectMulti}()},
\code{\link{print.IQRtteProject}()},
\code{\link{run_IQRtteProjectMulti}()}

Other IQRtteProject: 
\code{\link{IQRtteProject}()},
\code{\link{as_IQRtteProjectMulti}()},
\code{\link{as_IQRtteProject}()},
\code{\link{is_IQRtteProjectMulti}()},
\code{\link{is_IQRtteProject}()},
\code{\link{plot.IQRtteProject}()},
\code{\link{plotVPC_IQRtteProject}()},
\code{\link{print.IQRtteProjectMulti}()},
\code{\link{print.IQRtteProject}()},
\code{\link{run_IQRtteProjectMulti}()}
}
\concept{IQRtteProject}
