% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/nlme_classes_IQRtteProject.R
\name{run_IQRtteProjectMulti}
\alias{run_IQRtteProjectMulti}
\title{Runs an IQRtteProjectMulti object (each IQRtteProject within)}
\usage{
run_IQRtteProjectMulti(
  projectPath,
  pathname = NULL,
  ncores = 1,
  Nparallel = 1,
  FLAGrerun = FALSE,
  FLAGgof = TRUE
)
}
\arguments{
\item{projectPath}{An IQRtteProjectMulti object}

\item{pathname}{Path to which the summary result files are written. If undefined they
will be shown in the Console.}

\item{ncores}{Number of cores if use of parallelization of a single
model run.}

\item{Nparallel}{Number of models to run in parallel - only supported on Linux.
On Windows this setting is ignored and kept on 1}

\item{FLAGrerun}{TRUE: Models will be rerun even if results already present.
FALSE: Models for which results are present will not be rerun.
This only impacts the "running" of the models. GoF plots will
still be generated. This allows for separation of running and
GoF plot generation.}

\item{FLAGgof}{TRUE: Create GoF plots for all runs
FALSE: Do not create GoF plots.
NOTE THAT GoF plots are out of scope of WP3.}
}
\value{
An IQRtteProjectMulti is returned.
}
\description{
With "running" is meant that it will run the parameter estimation in the
tool of choice (format of the IQRtteProjects in the IQRtteProjectMulti object).
}
\seealso{
Other IQRtteProject: 
\code{\link{IQRtteProject}()},
\code{\link{as_IQRtteProjectMulti}()},
\code{\link{as_IQRtteProject}()},
\code{\link{is_IQRtteProjectMulti}()},
\code{\link{is_IQRtteProject}()},
\code{\link{plot.IQRtteProject}()},
\code{\link{plotVPC_IQRtteProject}()},
\code{\link{print.IQRtteProjectMulti}()},
\code{\link{print.IQRtteProject}()},
\code{\link{run_IQRtteProject}()}

Other IQRtteProject: 
\code{\link{IQRtteProject}()},
\code{\link{as_IQRtteProjectMulti}()},
\code{\link{as_IQRtteProject}()},
\code{\link{is_IQRtteProjectMulti}()},
\code{\link{is_IQRtteProject}()},
\code{\link{plot.IQRtteProject}()},
\code{\link{plotVPC_IQRtteProject}()},
\code{\link{print.IQRtteProjectMulti}()},
\code{\link{print.IQRtteProject}()},
\code{\link{run_IQRtteProject}()}
}
\concept{IQRtteProject}
