% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/qsp_functions_IQRmodel.R
\name{setPars_IQRmodel}
\alias{setPars_IQRmodel}
\title{Set parameters of an IQRmodel}
\usage{
setPars_IQRmodel(model, ..., parameters = NULL, FLAGverbose = FALSE)
}
\arguments{
\item{model}{\link{IQRmodel} object}

\item{...}{arguments to set specific parameters.
Use \code{parname = value} to set parameter}

\item{parameters}{named numeric vector. Names correspond to parameter names}

\item{FLAGverbose}{Logical. Print parameters table to console?}
}
\value{
The original model with the modified parameters.
}
\description{
Update parameters of an setPars_IQRmodel which are used as default in \link{sim_IQRmodel}.
The related function to get parameter information is \link{getPars_IQRmodel}
}
\seealso{
Other IQRmodel: 
\code{\link{IQRmodel}()},
\code{\link{addOutputs_IQRmodel}()},
\code{\link{addRelations_IQRmodel}()},
\code{\link{exportSBML_IQRmodel}()},
\code{\link{exportVariant_IQRmodel}()},
\code{\link{export_IQRmodel}()},
\code{\link{getPars_IQRmodel}()},
\code{\link{hasCcodeFunctions_IQRmodel}()},
\code{\link{hasInitialAssignments_IQRmodel}()},
\code{\link{importSBML_IQRmodel}()},
\code{\link{importVariant_IQRmodel}()},
\code{\link{is_IQRmodel}()},
\code{\link{new_IQRmodel}()},
\code{\link{print.IQRmodel}()},
\code{\link{print.IQRsensitivity}()},
\code{\link{regenerate_IQRmodel}()},
\code{\link{replaceTerms_IQRmodel}()},
\code{\link{sensitivity_IQRmodel}()},
\code{\link{setParameters_IQRmodel}()},
\code{\link{sim_IQRmodel}()},
\code{\link{simbio_CSV2namedVector}()},
\code{\link{simbio_updateParamIC_IQRmodel}()},
\code{\link{stoichiometry_IQRmodel}()},
\code{\link{strReplace_IQRmodel}()}
}
\author{
Daniel Kaschek, IntiQuan GmbH

Henning Schmidt, IntiQuan GmbH
}
\concept{IQRmodel}
