% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/nlme_auxiliaries.R
\name{shrinkageNLMEproject}
\alias{shrinkageNLMEproject}
\title{shrinkageNLMEproject: Determines the shrinkage in percent for each ETA or for WRES}
\usage{
shrinkageNLMEproject(
  projectPath,
  ETA_THRESHOLD_REL = 0,
  stratifyShrinkageBy = NULL,
  type = c("eta", "eps")
)
}
\arguments{
\item{projectPath}{path to an NLME project}

\item{ETA_THRESHOLD_REL}{ETA values with \code{abs(ETA) < ETA_THRESHOLD_REL * mean(abs(ETA))} will not be
considered for the computation of shrinkage.}

\item{stratifyShrinkageBy}{character pointing to a categorical covariate column in the dataset.
Shrinkage will be reported separately for each level of the covariate.}

\item{type}{ETA shrinkage ("eta", default) or EPSILON shrinkage ("eps").}
}
\value{
list of length 1 (if stratifyShrinkageBy = NULL) or length of unique levels of the
categorical covariate used for stratification. Each element of the list contains the shrinkage
values as percentage (0-100).
}
\description{
shrinkageNLMEproject: Determines the shrinkage in percent for each ETA or for WRES
}
\keyword{internal}
