% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/optimaldesign_classes_poped.R
\name{sim_IQRpopEDdb}
\alias{sim_IQRpopEDdb}
\title{Simulate from IQRpopEDdb Object}
\usage{
sim_IQRpopEDdb(db, simtime = NULL, IPRED = FALSE, DV = FALSE)
}
\arguments{
\item{db}{\link{IQRpopEDdb} object.}

\item{simtime}{Optional simulation time points. Currently, the smallest and largest
value are used and a vector of equidistantly spaced time points with the length of
\code{simtimes} is computed.}

\item{IPRED}{Logical indicating whether individual predictions should be computed and
returned (defaults to FALSE).}

\item{DV}{Logical indicating whether individual observations (with noise) should be
simulated nd returned (defaults to FALSE)}
}
\value{
Data frame with the predicted values. Object of class \code{sim_IQRpopEDdb}.
}
\description{
Simulate the model according to the design and model specification provided
by the IQRpopEDdb object.
}
\seealso{
Other Optimal Experiment Design: 
\code{\link{IQRpopEDdb}()},
\code{\link{evaluate_IQRpopEDdb}()}

Other Optimal Experiment Design: 
\code{\link{IQRpopEDdb}()},
\code{\link{evaluate_IQRpopEDdb}()}
}
\concept{Optimal Experiment Design}
