% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/qsp_tools.R
\name{sim_IQRvirtualSubjects}
\alias{sim_IQRvirtualSubjects}
\title{Simulate Virtual Subjects, Cohorts, Populations}
\usage{
sim_IQRvirtualSubjects(
  VPpath,
  output,
  simtime,
  dosingTable = NULL,
  problow = 0.1,
  probhigh = 0.9,
  FLAGindiv = TRUE
)
}
\arguments{
\item{VPpath}{Path to which the export was done with exportVirtualSubjects_IQRnlmeProject()}

\item{output}{Name of the state, variable, or reaction in the model to return. Only a single readout
can be considered at this point by this function. No limitation - as by some lines of script
everything is possible!}

\item{simtime}{Vector defining the simulation time. If exported VSs were in steady-state any perturbation
of the system can start at time 0. Otherwise - think about "run-in" time.}

\item{dosingTable}{IQRdosing object to apply to all virtual subjects.}

\item{problow}{Lower quantile to compute (0-1) and plot. Median always determined.}

\item{probhigh}{Upper quantile to compute (0-1) and plot. Median always determined.}

\item{FLAGindiv}{If TRUE also the individual simulations are plotted. If FALSE not.}
}
\description{
Virtual subjects, cohorts, and populations that have been exported using the function
exportVirtualSubjects_IQRnlmeProject() can be simulated with this function. A list is returned,
containing the plot and the simulation results as data.frame.
Only a single output can be considered at a time - which is OK as the function is mainly for demo
at the moment ... for real simulations one would probably do something fit for purpose or call this
function several times ... it is fast anyway.
}
\seealso{
Other QSP: 
\code{\link{IQRsysEst}()},
\code{\link{IQRsysModel}()},
\code{\link{IQRsysProject}()},
\code{\link{addOutputs_IQRmodel}()},
\code{\link{addRelations_IQRmodel}()},
\code{\link{as_IQRsysEst}()},
\code{\link{as_IQRsysProjectMulti}()},
\code{\link{as_IQRsysProject}()},
\code{\link{comparePars_IQRsysModel}()},
\code{\link{duplicate_IQRsysProject}()},
\code{\link{exportVariant_IQRmodel}()},
\code{\link{exportVirtualSubjects_IQRnlmeProject}()},
\code{\link{export_IQRsysData}()},
\code{\link{getDosing_IQRsysModel}()},
\code{\link{getEmpiricalETACovarianceMatrix_IQRsysProject}()},
\code{\link{getOptTrace_IQRsysProject}()},
\code{\link{getPars_IQRoptTrace}()},
\code{\link{getPars_IQRsysModel}()},
\code{\link{getPrediction_IQRsysModel}()},
\code{\link{hasrun_IQRsysProject}()},
\code{\link{importVariant_IQRmodel}()},
\code{\link{import_IQRsysData}()},
\code{\link{is_IQRsysEst}()},
\code{\link{is_IQRsysModel}()},
\code{\link{is_IQRsysProjectMulti}()},
\code{\link{is_IQRsysProject}()},
\code{\link{load_IQRsysProject}()},
\code{\link{modelSpec_IQRsysEst}()},
\code{\link{model_IQRsysModel}()},
\code{\link{offsetTIME_IQRsysData}()},
\code{\link{plotDVPRED_IQRsysModel}()},
\code{\link{plotFit_IQRsysModel}()},
\code{\link{plotPars_IQRsysModel}()},
\code{\link{plotPred_IQRsysModel}()},
\code{\link{plotProfile_IQRsysModel}()},
\code{\link{plotWRES_IQRsysModel}()},
\code{\link{plotWaterfall_IQRsysModel}()},
\code{\link{plot_IQRoptTrace}()},
\code{\link{plot_IQRsysModel}()},
\code{\link{print.IQRsensitivity}()},
\code{\link{print.IQRsysProject}()},
\code{\link{profile_IQRsysModel}()},
\code{\link{replaceTerms_IQRmodel}()},
\code{\link{run_IQRsysProjectMulti}()},
\code{\link{run_IQRsysProject}()},
\code{\link{sample_IQRsysModel}()},
\code{\link{sensitivity_IQRmodel}()},
\code{\link{setPars_IQRsysModel}()},
\code{\link{sim_IQRsysModel}()},
\code{\link{simbio_CSV2namedVector}()},
\code{\link{simbio_updateParamIC_IQRmodel}()},
\code{\link{spmIIV_IQRsysProject}()},
\code{\link{spm_IQRsysProject}()},
\code{\link{switchOpt_IQRsysModel}()},
\code{\link{tablePars_IQRsysModel}()}
}
\concept{QSP}
