% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/logisticregression_tools.R
\name{simple_IQRlogisticRegression}
\alias{simple_IQRlogisticRegression}
\title{Simple logistic regression with a single predictor}
\usage{
simple_IQRlogisticRegression(
  data,
  VARcol,
  PREDcol,
  title = NULL,
  xlab = NULL,
  ylab = NULL,
  SIGNIF = 4
)
}
\arguments{
\item{data}{A data frame containing the columns that are defined in the following.}

\item{VARcol}{Name of the column in data that contains the information about an event happened (1) or not (0).}

\item{PREDcol}{Name of the column in data that should be used as a predictor. Only one predictor is allowed.}

\item{title}{Title for the plot.}

\item{xlab}{Label for the x-axis.}

\item{ylab}{Label for the y-axis.}

\item{SIGNIF}{Number of significant digits used for the displayed p-value.}
}
\value{
ggplot2 object for the plot. Attributes to the output argument
are the data that were used for plotting and the results for both the fit and the prediction.
}
\description{
This is a convenient interface to the glm function that performs a simple
logistic regression for a single predictor and displays the results graphically.
}
\seealso{
Other Logistic regression: 
\code{\link{IQRlogisticRegression}()},
\code{\link{export_IQRlogisticFit}()},
\code{\link{import_IQRlogisticFit}()},
\code{\link{modelEvaluation_IQRlogisticRegression}()},
\code{\link{plot_IQRlogistRegressFit}()},
\code{\link{summary_IQRlogisticRegression}()}
}
\concept{Logistic regression}
