% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/nlme_tools_covforrestplot.R
\name{simultaneousCI_IQRnlmeProject}
\alias{simultaneousCI_IQRnlmeProject}
\title{Get simultaneous confidence intervals of covariate effects from IQRnlmeProject}
\usage{
simultaneousCI_IQRnlmeProject(proj, alpha = 0.05)
}
\arguments{
\item{proj}{IQRnlmeProject}

\item{alpha}{Significance level}
}
\value{
data frame with
\code{name} (name of the covariate parameter),
\code{value} (estimated value of the covariate parameter),
\code{se} (standard error of the estimated covariate parameter),
\code{u} (multiplier for the \code{se} to obtain upper and lower bounds
of the confidence interval with simultaneous (1-alpha) confidence level),
\code{lower} (lower bound of the simultaneous CI),
\code{upper} (upper bound of the simultaneous CI),
\code{alpha} (significance level requested),
\code{p} (corrected p value)
}
\description{
Estimated fixed effects parameters (typical parameters + covariate effects) are
extracted from the project, including the variance-covariance matrix of the
estimates. Number of observations, number of subjects, and number of estimated
parameters are extracted from the project to determine the degrees of freedom.
}
\details{
The above information is used in the implementation of Xu et al 2018 to determine
the simulatenous confidence intervals. The implementation makes use of the
multivariate t distribution. Besides the original value and standard error,
adjusted p values, and adjusted confidence intervals are returned.
}
\keyword{internal}
