% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/tables_tools_IQRtable.R
\name{statSE}
\alias{statSE}
\title{Return key statistical quantities generated from value and standard error}
\usage{
statSE(value, se = 10, digits = NA)
}
\arguments{
\item{value}{numeric values.}

\item{se}{standard error of the numeric values.}

\item{digits}{number of significant digits (if NA (default),
format_GUM is used to determine number of significant digits,
otherwise, signif function is used instead of format_GUM)}
}
\value{
Function \code{outfn(char)} that can be called with the key words
\itemize{
\item \code{value} (value rounded to significant digits according to standard error)
\item \code{se} (standard error rounded to two significant digits)
\item \code{rse} (relative standard error rounded to significant digits according to standard error)
\item \code{rse\%} (relative standard error as percentage)
\item \code{lower.x} where \code{x} is between 1 and 99 (lower confidence bound rounded to significant digits according to standard error)
\item \code{upper.x} where \code{x} is between 1 and 99 (upper confidence bound rounded to significant digits according to standard error)
}
}
\description{
A function is generated that can be called with a number of keywords to
return the requested quantity of interest, accordingly. The function is
typically used in \link{IQRtable}.
}
\details{
The function uses \link{format_GUM} to round to significant digits and format the output. The standard error of \code{rse} is assumed
to be \code{rse^2} which is derived by Gaussian error propagation and the assumption that \code{se} is known without uncertainty.
}
\author{
Daniel Kaschek, IntiQuan
}
\concept{Statistics}
