% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data_classes_dataER.R
\name{summaryCat_IQRdataER}
\alias{summaryCat_IQRdataER}
\title{Generates a demographic summary table for categorical covariates}
\usage{
summaryCat_IQRdataER(
  data,
  catInfoAdd = NULL,
  catNames = NULL,
  stratifyColumns = "STUDY",
  stratifyOrder = NULL,
  FLAGtotal = NULL,
  SIGNIF = 3,
  tableTitle = NULL,
  footerAddText = NULL,
  filename = NULL,
  FLAGpatients = FALSE
)
}
\arguments{
\item{data}{data.frame object}

\item{catInfoAdd}{Same object as can be provided in creation of an IQRdataGENERAL object to define
additional categorical covariates.}

\item{catNames}{Names of the categorical covariates, as defined as columns in the dataset for which
information should be displayed in the table. If argument is not provided, information will be
generated for all categorical covariates in the data object.}

\item{stratifyColumns}{A vector with names of columns that should be used for stratification of the
table. Already available columns in the data object can be used or the user can add additional stratification
columns that fit the intended purpose. NA entries in such columns will be ignored in the table generation.}

\item{stratifyOrder}{A list with vector entries. For each entry in stratifyColumns there should be one
list entry. Each list entry should be a vector of the elements in the corresponding stratification column and
specifying the order of appearance in the table. If not provided, the stratification will be done in
order of appearance of the elements in the dataset.}

\item{FLAGtotal}{A vector of same length as stratifyColumns. An element TRUE means that for the corresponding strata also
a TOTAL column will be generated. FALSE means that no TOTAL column will be generated.}

\item{SIGNIF}{Defines the number of significant digits for the percentage generation.}

\item{tableTitle}{String with the title for the generated table}

\item{footerAddText}{String with additional text to add to a tables footer. Use "\<br\>" to allow generation of line
breaks in Word reporting.}

\item{filename}{String with path/filename for export of table as text file.}

\item{FLAGpatients}{In the table it is possible to write "Subjects" or "Patients". If this
flag is TRUE then "patients" will be used.}
}
\description{
The table is generated in a report-ready format (when IQReport is used).
The function allows a high level of customization and stratification of the
table. Input data needs to be provided as a data.frame object.
Important: only first occurrence of a covariate value in a subject will be
considered for the generation of the table. This is also the case for potentially
time varying covariates.
The data.frame can contain a "catInfo" attribute in the same style as the IQRdataGENERAL
object. This has to be formatted as data.frame and is not allowed to use factors!
}
\seealso{
Other IQRdataER: 
\code{\link{addLabel_IQRaedataER}()},
\code{\link{createAEdata_IQRdataGENERAL}()},
\code{\link{exportXPT_IQRaedataER}()},
\code{\link{export_IQRaedataER}()},
\code{\link{load_IQRaedataER}()},
\code{\link{plotCorCat_IQRdataER}()},
\code{\link{plotCorCovCat_IQRdataER}()},
\code{\link{plotCorCov_IQRdataER}()},
\code{\link{plotIndivAE_IQRdataGENERAL}()},
\code{\link{print.IQRaedataER}()},
\code{\link{summaryCov_IQRdataER}()},
\code{\link{summaryN_IQRaedataER}()},
\code{\link{summary_IQRaedataER}()}
}
\concept{IQRdataER}
