% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data_classes_dataER_AE.R
\name{summaryN_IQRaedataER}
\alias{summaryN_IQRaedataER}
\title{Generates a basic summary of AE in the provided data}
\usage{
summaryN_IQRaedataER(
  data,
  FLAG_AEDRGREL_ONLY = TRUE,
  SIGNIF = 3,
  filename = NULL,
  title = "Summary of AE in data"
)
}
\arguments{
\item{data}{Dataset with at least the above mentioned columns}

\item{FLAG_AEDRGREL_ONLY}{If TRUE then only AEDRGREL=1 AEs will be considered.}

\item{SIGNIF}{Number of significant digits (not used for interger numbers)}

\item{filename}{Filename to where to store the IQRoutputTable object}

\item{title}{Title of the output table}
}
\value{
Returns an IQRoutputTable object
}
\description{
By default only drug related AE are considered (AEDRGREL column=1) but this can be
extended to all AEs (AEDRGREL=0 or 1). Provides information per AE in the data (NAME column)
about: how many unique subjects (USUBJID column), how many unique subjects with a defined AE (AE column),
Provides frequency in percent and the 95\% CI determined with Clopper-Pearson test. Also
provides range of grades (min-max) (AEGRADE column).
}
\seealso{
Other IQRdataER: 
\code{\link{addLabel_IQRaedataER}()},
\code{\link{createAEdata_IQRdataGENERAL}()},
\code{\link{exportXPT_IQRaedataER}()},
\code{\link{export_IQRaedataER}()},
\code{\link{load_IQRaedataER}()},
\code{\link{plotCorCat_IQRdataER}()},
\code{\link{plotCorCovCat_IQRdataER}()},
\code{\link{plotCorCov_IQRdataER}()},
\code{\link{plotIndivAE_IQRdataGENERAL}()},
\code{\link{print.IQRaedataER}()},
\code{\link{summaryCat_IQRdataER}()},
\code{\link{summaryCov_IQRdataER}()},
\code{\link{summary_IQRaedataER}()}

Other IQRaedataER: 
\code{\link{contingency_IQRaedataER}()},
\code{\link{is_IQRaedataER}()},
\code{\link{plotCorCat_IQRdataER}()},
\code{\link{plotCorCovCat_IQRdataER}()},
\code{\link{plotCorCov_IQRdataER}()},
\code{\link{plotcontcovAE_IQRaedataER}()},
\code{\link{summary.IQRaedataER}()},
\code{\link{summary_IQRaedataER}()}
}
\concept{IQRaedataER}
\concept{IQRdataER}
