% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data_classes_dataER_AE.R
\name{summary_IQRaedataER}
\alias{summary_IQRaedataER}
\title{Simple summary of AEs in IQRaedataER dataset}
\usage{
summary_IQRaedataER(
  data = data,
  FLAG_AEDRGREL_ONLY = TRUE,
  stratifyTable = "STUDY",
  stratifyPlot = NULL,
  plotX = NULL,
  xlabel = NULL,
  stratName = NULL,
  breaksX = NULL,
  title = "Summary of drug related adverse events",
  addTitleFigure = "",
  filename = NULL,
  xtickangle = 0,
  SIGNIF = 3
)
}
\arguments{
\item{data}{data.frame following the format of an IQRaedataER dataset or an IQRaedataER object}

\item{FLAG_AEDRGREL_ONLY}{If TRUE then only AEDRGREL=1 AEs will be considered.}

\item{stratifyTable}{Column to be used for stratification of table (needs to be provided)}

\item{stratifyPlot}{Column to be used for stratification of plot in addition to plotX}

\item{plotX}{Column to be used as x-axis for plot}

\item{xlabel}{Name to be used in plot instead of plotX (default)}

\item{stratName}{Name to be used in legend for startification instead of stratifyPlot (default)}

\item{breaksX}{Breaks for x-axis}

\item{title}{Title of the table and figures to be generated}

\item{addTitleFigure}{Character string to be added after title (AE name) in each figure}

\item{filename}{Filename (with path) to store the table in. If NULL then no file is exported}

\item{xtickangle}{Allows to rotate the xticks as needed}

\item{SIGNIF}{Number of significant digits for frequencies}
}
\value{
An list with a table (IQRoutputTable) and a list with figures is returned (figure only if plotX is defined)
}
\description{
Generates a summary table of AEs in the IQRaedataER dataset.
By default only drug related AE are considered (AEDRGREL column=1) but this can be
extended to all AEs (AEDRGREL=0 or 1).
}
\seealso{
Other IQRdataER: 
\code{\link{addLabel_IQRaedataER}()},
\code{\link{createAEdata_IQRdataGENERAL}()},
\code{\link{exportXPT_IQRaedataER}()},
\code{\link{export_IQRaedataER}()},
\code{\link{load_IQRaedataER}()},
\code{\link{plotCorCat_IQRdataER}()},
\code{\link{plotCorCovCat_IQRdataER}()},
\code{\link{plotCorCov_IQRdataER}()},
\code{\link{plotIndivAE_IQRdataGENERAL}()},
\code{\link{print.IQRaedataER}()},
\code{\link{summaryCat_IQRdataER}()},
\code{\link{summaryCov_IQRdataER}()},
\code{\link{summaryN_IQRaedataER}()}

Other IQRaedataER: 
\code{\link{contingency_IQRaedataER}()},
\code{\link{is_IQRaedataER}()},
\code{\link{plotCorCat_IQRdataER}()},
\code{\link{plotCorCovCat_IQRdataER}()},
\code{\link{plotCorCov_IQRdataER}()},
\code{\link{plotcontcovAE_IQRaedataER}()},
\code{\link{summary.IQRaedataER}()},
\code{\link{summaryN_IQRaedataER}()}
}
\concept{IQRaedataER}
\concept{IQRdataER}
