% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/survival_tools_Cox.R
\name{summary_IQRcoxRegression}
\alias{summary_IQRcoxRegression}
\title{Table comparing estimates of Cox proportional harzard regression models}
\usage{
summary_IQRcoxRegression(
  x,
  basemodel = NULL,
  FLAGorder = FALSE,
  filename = NULL,
  SIGNIF = 4,
  FLAGreport = TRUE,
  FLAGformula = FALSE,
  title = NULL,
  footerAdd = NULL
)
}
\arguments{
\item{x}{A (named) list with IQRcoxRegression objects (or path to project folders).}

\item{basemodel}{Name or index of the model in the list to be used as base model.}

\item{FLAGorder}{Flag whether to order models by OBJ (-2*Log-likelihood)}

\item{filename}{If given, estimate table written to file.}

\item{SIGNIF}{Number of significant digits used for the displayed values.}

\item{FLAGreport}{Whether to produce report ready table with estimates.}

\item{FLAGformula}{Whether to display model formula}

\item{title}{Table title}

\item{footerAdd}{Note to include in table footer}
}
\value{
If no filename is given, table is returned
}
\description{
Table comparing estimates of Cox proportional harzard regression models
}
\seealso{
Other Survival analysis: 
\code{\link{IQRcoxRegression}()},
\code{\link{export_IQRcoxRegression}()},
\code{\link{import_IQRcoxRegression}()},
\code{\link{km_IQRsurvival}()},
\code{\link{plot_IQRcoxRegression}()}
}
\concept{Survival analysis}
